import { EventEmitter, OnDestroy } from '@angular/core';
import { Editor } from '@tiptap/core';
import { MentionData } from '../../../extensions/custom/mention/ngx-mention';
import { TiptapEventService } from '../../../services/tiptap-event.service';
import { TiptapExtensionService } from '../../../services/tiptap-extension.service';
import { ButtonBaseControl } from './base-control';
export declare type MentionCallback = (props: MentionData) => void;
export declare class ControlMentionComponent extends ButtonBaseControl implements OnDestroy {
    protected eventService: TiptapEventService;
    private extensionService;
    createMention: EventEmitter<MentionCallback>;
    mentionClicked: EventEmitter<MentionData>;
    private mentionExtension;
    constructor(eventService: TiptapEventService, extensionService: TiptapExtensionService);
    onEditorReady(editor: Editor): void;
    updateMention(): void;
    protected isActive(): boolean;
    protected can(): boolean;
}
