/**
 * Taken from ts-toolbelt
 * https://github.com/millsp/ts-toolbelt
 */
export declare namespace C {
    type List<A = any> = ReadonlyArray<A>;
    type Class<P extends List = any[], R extends object = object> = new (...args: P) => R;
    type Instance<CLASS extends Class> = CLASS extends Class<any[], infer R> ? R : any;
}
/**********************************************************************************************************************/
export declare type ObjectProp<O, PROPERTY extends keyof O> = O[PROPERTY];
