(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common'), require('@angular/core'), require('@angular/platform-browser'), require('@angular/platform-browser/animations'), require('@angular/animations'), require('rxjs'), require('rxjs/operators'), require('@tiptap/core'), require('@tiptap/extension-mention'), require('@tiptap/extension-link')) :
    typeof define === 'function' && define.amd ? define('ngx-tiptap-editor', ['exports', '@angular/common', '@angular/core', '@angular/platform-browser', '@angular/platform-browser/animations', '@angular/animations', 'rxjs', 'rxjs/operators', '@tiptap/core', '@tiptap/extension-mention', '@tiptap/extension-link'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global["ngx-tiptap-editor"] = {}, global.ng.common, global.ng.core, global.ng.platformBrowser, global.ng.platformBrowser.animations, global.ng.animations, global.rxjs, global.rxjs.operators, global.core, global.extensionMention, global.extensionLink));
})(this, (function (exports, i1, i0, platformBrowser, animations$1, animations, rxjs, operators, core, extensionMention, extensionLink) { 'use strict';

    function _interopNamespace(e) {
        if (e && e.__esModule) return e;
        var n = Object.create(null);
        if (e) {
            Object.keys(e).forEach(function (k) {
                if (k !== 'default') {
                    var d = Object.getOwnPropertyDescriptor(e, k);
                    Object.defineProperty(n, k, d.get ? d : {
                        enumerable: true,
                        get: function () { return e[k]; }
                    });
                }
            });
        }
        n["default"] = e;
        return Object.freeze(n);
    }

    var i1__namespace = /*#__PURE__*/_interopNamespace(i1);
    var i0__namespace = /*#__PURE__*/_interopNamespace(i0);

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from, pack) {
        if (pack || arguments.length === 2)
            for (var i = 0, l = from.length, ar; i < l; i++) {
                if (ar || !(i in from)) {
                    if (!ar)
                        ar = Array.prototype.slice.call(from, 0, i);
                    ar[i] = from[i];
                }
            }
        return to.concat(ar || Array.prototype.slice.call(from));
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, state, kind, f) {
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a getter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot read private member from an object whose class did not declare it");
        return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
    }
    function __classPrivateFieldSet(receiver, state, value, kind, f) {
        if (kind === "m")
            throw new TypeError("Private method is not writable");
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a setter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot write private member to an object whose class did not declare it");
        return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
    }

    var FadeInAnimation = animations.trigger('fadeIn', [
        animations.transition(':enter', [
            animations.style({ opacity: 0 }),
            animations.animate('150ms cubic-bezier(.13,1.14,1,.92)', animations.style({ opacity: 1 })),
        ]),
        animations.transition(':leave', [
            animations.animate('150ms cubic-bezier(.13,1.14,1,.92)', animations.style({ opacity: 0 }))
        ])
    ]);

    var PopOverPopUpAnimation = animations.trigger('popUp', [
        animations.transition(':enter', [
            animations.query('.popover-wrapper', [
                animations.style({ opacity: 0, transform: 'translate(-50%, -50%)' }),
                animations.animate('150ms cubic-bezier(.13,1.14,1,.92)', animations.style({ opacity: 1, transform: '*' })),
            ])
        ]),
        animations.transition(':leave', animations.query('.popover-wrapper', [
            animations.animate('150ms cubic-bezier(.13,1.14,1,.92)', animations.style({ opacity: 0, transform: 'translate(-50%, -50%)' })),
        ])),
    ]);
    var OverlayPopUpAnimation = animations.trigger('popUp', [
        animations.transition(':enter', [
            animations.query('.dialog-wrapper', [
                animations.style({ transform: 'translate(-50%, -30%)' }),
                animations.animate('150ms cubic-bezier(.13,1.14,1,.92)', animations.style({ transform: '*' })),
            ])
        ]),
        animations.transition(':leave', animations.query('.dialog-wrapper', [
            animations.animate('150ms cubic-bezier(.13,1.14,1,.92)', animations.style({ transform: 'translate(-50%, -30%)' })),
        ])),
    ]);

    var TIP_DIALOG_DATA = new i0.InjectionToken('DIALOG_DATA');
    var DialogRef = /** @class */ (function () {
        /* tslint:enable */
        function DialogRef(_component, appRef, dialogWrapperComponentRef, config) {
            this._component = _component;
            this.appRef = appRef;
            this.dialogWrapperComponentRef = dialogWrapperComponentRef;
            this.config = config;
            /* tslint:disable member-ordering*/
            this.subject$ = new rxjs.Subject();
            this.result$ = this.subject$.asObservable();
            this._done = false;
        }
        Object.defineProperty(DialogRef.prototype, "component", {
            get: function () {
                return this._component;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(DialogRef.prototype, "done", {
            get: function () {
                return this._done;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(DialogRef.prototype, "dialogConfig", {
            get: function () {
                var copy = Object.assign({}, this.config);
                delete copy.data;
                return copy;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(DialogRef.prototype, "dialogWrapperComponent", {
            get: function () {
                return this.dialogWrapperComponentRef.component;
            },
            enumerable: false,
            configurable: true
        });
        DialogRef.prototype.submit = function (data) {
            this.sendResult(data, 'success');
        };
        DialogRef.prototype.cancel = function () {
            this.sendResult(null, 'canceled');
        };
        DialogRef.prototype.sendResult = function (data, status) {
            if (this.done)
                return;
            this.appRef.detachView(this.dialogWrapperComponent.hostView);
            this.dialogWrapperComponent.destroy();
            this._done = true;
            this.subject$.next({ data: data, status: status });
            this.subject$.complete();
        };
        return DialogRef;
    }());
    // tslint:disable-next-line:directive-class-suffix
    var DialogBaseClass = /** @class */ (function () {
        function DialogBaseClass() {
            this.destroy$ = new rxjs.Subject();
        }
        DialogBaseClass.prototype.ngOnInit = function () {
            var _this = this;
            this.ngZone.runOutsideAngular(function () {
                rxjs.fromEvent(_this.document, 'keydown').pipe(operators.filter(function (e) { return e.key === 'Escape'; }), operators.takeUntil(_this.destroy$)).subscribe(function () { return _this.ngZone.run(function () { return _this.closeDialog(); }); });
            });
        };
        DialogBaseClass.prototype.ngOnDestroy = function () {
            this.destroy$.next(true);
            this.destroy$.complete();
        };
        DialogBaseClass.prototype.closeDialog = function () {
            if (!this.dialogRef.dialogConfig.autoClose)
                return;
            this.dialogRef.cancel();
        };
        return DialogBaseClass;
    }());
    DialogBaseClass.decorators = [
        { type: i0.Directive }
    ];

    // @dynamic
    var DialogComponent = /** @class */ (function (_super) {
        __extends(DialogComponent, _super);
        function DialogComponent(data, document, dialogRef, ngZone) {
            var _this = _super.call(this) || this;
            _this.data = data;
            _this.document = document;
            _this.dialogRef = dialogRef;
            _this.ngZone = ngZone;
            _this.position = {};
            _this.position = _this.calculateStyle();
            return _this;
        }
        DialogComponent.prototype.calculateStyle = function () {
            var config = this.dialogRef.dialogConfig;
            return {
                width: config.width,
                maxWidth: config.maxWidth,
                top: config.position === 'top' ? '20%' : '50%',
            };
        };
        return DialogComponent;
    }(DialogBaseClass));
    DialogComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-dialog',
                    template: "\n    <div class=\"overlay\" (click)=\"closeDialog()\" [ngStyle]=\"{backgroundColor: dialogRef.dialogConfig.backdropColor}\"></div>\n    <div class=\"dialog-wrapper\" [ngStyle]=\"position\">\n      <ng-container *ngIf=\"dialogRef.component\" [ngComponentOutlet]=\"dialogRef.component\"></ng-container>\n    </div>\n  ",
                    animations: [FadeInAnimation, OverlayPopUpAnimation],
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    styles: ["\n    .overlay {\n      position: fixed;\n      top: 0;\n      bottom: 0;\n      right: 0;\n      left: 0;\n      z-index: 2000;\n    }\n\n    .dialog-wrapper {\n      left: 50%;\n      position: absolute;\n      transform: translate(-50%, -50%);\n      border-radius: 5px;\n      padding: 10px;\n      z-index: 2000;\n      background-color: var(--tip-background-color);\n    }\n  "]
                },] }
    ];
    DialogComponent.ctorParameters = function () { return [
        { type: undefined, decorators: [{ type: i0.Inject, args: [TIP_DIALOG_DATA,] }] },
        { type: Document, decorators: [{ type: i0.Inject, args: [i1.DOCUMENT,] }] },
        { type: DialogRef },
        { type: i0.NgZone }
    ]; };
    DialogComponent.propDecorators = {
        calculateStyle: [{ type: i0.HostBinding, args: ['@fadeIn',] }, { type: i0.HostBinding, args: ['@popUp',] }]
    };

    var findExtension = function (editor, name) {
        return editor.extensionManager.extensions.find(function (e) { return e.name === name; });
    };
    var ɵ0$1 = findExtension;
    var getHeadingsExtension = function (editor) {
        return findExtension(editor, 'heading');
    };
    var sleep = function (ms) { return new Promise(function (resolve) { return setTimeout(resolve, ms); }); };
    var fromEditorEvent = function (editor, event, once) {
        if (once === void 0) { once = false; }
        return new rxjs.Observable(function (observer) {
            var callback = function () {
                var params = [];
                for (var _i = 0; _i < arguments.length; _i++) {
                    params[_i] = arguments[_i];
                }
                observer.next.apply(observer, __spread(params));
                if (once)
                    editor.off(event, callback);
            };
            editor.on(event, callback);
            return function () {
                editor.off(event, callback);
            };
        });
    };
    var asyncFilter = function (predicate) {
        var count = 0;
        return rxjs.pipe(
        // Convert the predicate Promise<boolean> to an observable (which resolves the promise,
        // Then combine the boolean result of the promise with the input data to a container object
        operators.concatMap(function (data) {
            return rxjs.from(predicate(data, count++))
                .pipe(operators.map(function (isValid) { return ({ filterResult: isValid, entry: data }); }));
        }), 
        // Filter the container object synchronously for the value in each data container object
        operators.filter(function (data) { return data.filterResult; }), 
        // remove the data container object from the observable chain
        operators.map(function (data) { return data.entry; }));
    };
    var getSelectedTextPosition = function () {
        var selection = document.getSelection();
        if (!selection)
            return null;
        var range = selection.getRangeAt(0);
        return range.getBoundingClientRect();
    };
    var getLinkFromCursorPosition = function (editor) {
        var link = editor.getAttributes('link');
        return link && link.href ? link.href : null;
    };
    var getLinkDOMFromCursorPosition = function (_a, link) {
        var from = _a.state.selection.from, view = _a.view;
        if (link === void 0) { link = null; }
        var dom = view.domAtPos(from);
        var selector = 'a';
        if (link)
            selector = "a[href=\"" + link + "\"]";
        return dom.node.parentElement.closest(selector);
    };
    var getSelectedEditorTextPosition = function (_a) {
        var state = _a.state, view = _a.view;
        var _b = state.selection, from = _b.from, to = _b.to;
        var start = view.coordsAtPos(from);
        var end = view.coordsAtPos(to);
        return {
            start: start, end: end,
            topCenter: {
                y: start.top,
                x: start.left + (end.left - start.left) / 2
            }
        };
    };
    var topCenterOfRect = function (rect) {
        return {
            y: rect.y,
            x: rect.x + rect.width / 2
        };
    };
    var getDuplicates = function (list, getKey) {
        var e_1, _a, e_2, _b;
        var hashMap = {};
        try {
            for (var list_1 = __values(list), list_1_1 = list_1.next(); !list_1_1.done; list_1_1 = list_1.next()) {
                var item = list_1_1.value;
                var key = getKey(item);
                if (!(key in hashMap))
                    hashMap[key] = [];
                hashMap[key].push(item);
            }
        }
        catch (e_1_1) { e_1 = { error: e_1_1 }; }
        finally {
            try {
                if (list_1_1 && !list_1_1.done && (_a = list_1.return)) _a.call(list_1);
            }
            finally { if (e_1) throw e_1.error; }
        }
        var duplicates = {};
        try {
            for (var _c = __values(Object.keys(hashMap)), _d = _c.next(); !_d.done; _d = _c.next()) {
                var hashKey = _d.value;
                if (hashMap[hashKey].length > 1)
                    duplicates[hashKey] = hashMap[hashKey];
            }
        }
        catch (e_2_1) { e_2 = { error: e_2_1 }; }
        finally {
            try {
                if (_d && !_d.done && (_b = _c.return)) _b.call(_c);
            }
            finally { if (e_2) throw e_2.error; }
        }
        return Object.keys(duplicates).length > 0 ? duplicates : null;
    };
    var isObject = function (o) { return typeof o === 'object' && !Array.isArray(o); };
    var deepMerge = function (target, source) {
        var e_3, _a;
        var targetCopy = Object.assign({}, target);
        try {
            for (var _b = __values(Object.keys(source)), _c = _b.next(); !_c.done; _c = _b.next()) {
                var key = _c.value;
                if (isObject(source[key])) {
                    var newTarget = isObject(target[key]) ? target[key] : {};
                    targetCopy[key] = deepMerge(newTarget, source[key]);
                }
                else {
                    targetCopy[key] = source[key];
                }
            }
        }
        catch (e_3_1) { e_3 = { error: e_3_1 }; }
        finally {
            try {
                if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
            }
            finally { if (e_3) throw e_3.error; }
        }
        return targetCopy;
    };

    // @dynamic
    var PopoverComponent = /** @class */ (function (_super) {
        __extends(PopoverComponent, _super);
        function PopoverComponent(data, document, dialogRef, ngZone, cd, element) {
            var _this = _super.call(this) || this;
            _this.data = data;
            _this.document = document;
            _this.dialogRef = dialogRef;
            _this.ngZone = ngZone;
            _this.cd = cd;
            _this.element = element;
            _this.style = {};
            _this.style = _this.calculateStyle();
            return _this;
        }
        PopoverComponent.prototype.ngOnInit = function () {
            var _this = this;
            _super.prototype.ngOnInit.call(this);
            this.ngZone.runOutsideAngular(function () { return __awaiter(_this, void 0, void 0, function () {
                var _this = this;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, sleep(1000)];
                        case 1:
                            _a.sent();
                            rxjs.fromEvent(this.document, 'click')
                                .pipe(operators.takeUntil(this.destroy$), operators.filter(function (e) { return !_this.element.nativeElement.contains(e.target); }))
                                .subscribe(function () { return _this.ngZone.run(function () { return _this.dialogRef.cancel(); }); });
                            return [2 /*return*/];
                    }
                });
            }); });
        };
        PopoverComponent.prototype.ngAfterViewInit = function () {
            var position = this.popover.nativeElement.getBoundingClientRect();
            var window = this.document.defaultView;
            if (!window)
                return;
            var windowWidth = window.innerWidth;
            var overflowRight = (position.x + position.width) - windowWidth;
            var updateStyles = {};
            if (position.x < 0) {
                updateStyles.transform = "translate(calc(-50% + " + Math.abs(position.x - 5) + "px), -100%)";
            }
            else if (overflowRight > 0) {
                updateStyles.transform = "translate(calc(-50% - " + (overflowRight + 5) + "px), -100%)";
            }
            if (Object.keys(updateStyles).length > 0) {
                this.style = Object.assign(Object.assign({}, this.style), updateStyles);
                this.cd.detectChanges();
            }
        };
        PopoverComponent.prototype.calculateStyle = function () {
            var config = this.dialogRef.dialogConfig;
            return {
                'top.px': config.position.y - 10,
                'left.px': config.position.x,
            };
        };
        return PopoverComponent;
    }(DialogBaseClass));
    PopoverComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-popover',
                    template: "\n    <div class=\"popover-wrapper\" [ngStyle]=\"style\" #popover>\n      <ng-container *ngIf=\"dialogRef.component\" [ngComponentOutlet]=\"dialogRef.component\"></ng-container>\n      <div class=\"hide-arrow\"></div>\n      <div class=\"arrow\"></div>\n    </div>\n  ",
                    animations: [PopOverPopUpAnimation],
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    styles: ["\n    .popover-wrapper {\n      border-radius: 5px;\n      background-color: var(--tip-background-color);\n      position: fixed;\n      transform: translate(-50%, -100%);\n      box-shadow: 0 1px 3px 1px rgba(60, 64, 67, .15);\n      padding: 11px;\n      z-index: 2000;\n    }\n\n    .hide-arrow {\n      position: absolute;\n      width: 30px;\n      height: 10px;\n      transform: translate(-50%, -100%);\n      top: 100%;\n      left: 50%;\n      background-color: var(--tip-background-color);\n      z-index: 1;\n    }\n\n    .arrow {\n      position: absolute;\n      top: 100%;\n      left: 50%;\n      width: 0;\n      height: 0;\n      box-shadow: 1px 1px 3px 1px rgba(60, 64, 67, .15);\n      border: 7px solid var(--tip-background-color);\n      transform: rotate(45deg) translate(-50%, -50%);\n      transform-origin: 0 0;\n      z-index: 0;\n    }\n\n  "]
                },] }
    ];
    PopoverComponent.ctorParameters = function () { return [
        { type: undefined, decorators: [{ type: i0.Inject, args: [TIP_DIALOG_DATA,] }] },
        { type: Document, decorators: [{ type: i0.Inject, args: [i1.DOCUMENT,] }] },
        { type: DialogRef },
        { type: i0.NgZone },
        { type: i0.ChangeDetectorRef },
        { type: i0.ElementRef }
    ]; };
    PopoverComponent.propDecorators = {
        popover: [{ type: i0.ViewChild, args: ['popover',] }],
        ngAfterViewInit: [{ type: i0.HostBinding, args: ['@popUp',] }]
    };

    var EditorBodyComponent = /** @class */ (function () {
        function EditorBodyComponent() {
            this.minHeight = '';
            this.maxHeight = '';
            this.editor = null;
            this._editorElement = null;
        }
        Object.defineProperty(EditorBodyComponent.prototype, "editorElement", {
            get: function () {
                return this._editorElement ? this._editorElement.nativeElement : null;
            },
            enumerable: false,
            configurable: true
        });
        EditorBodyComponent.prototype.setEditor = function (tiptapEditor) {
            this.editor = tiptapEditor;
        };
        Object.defineProperty(EditorBodyComponent.prototype, "height", {
            get: function () {
                if (this.minHeight && !this.maxHeight) {
                    return this.minHeight;
                }
                if (this.minHeight && !this.maxHeight || this.maxHeight && !this.minHeight) {
                    console.warn('You have to set minHeight and maxHeight of the tip-editor-body for it to work properly.\n' +
                        'The values however can be the same');
                    return '';
                }
                else if (!this.minHeight && !this.maxHeight) {
                    return '';
                }
                return '200vh';
            },
            enumerable: false,
            configurable: true
        });
        return EditorBodyComponent;
    }());
    EditorBodyComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-editor-body, tip-editor-body[minHeight][maxHeight]',
                    template: "\n      <div class=\"editor-body\" [ngStyle]=\"{minHeight: minHeight, maxHeight: maxHeight}\">\n          <div class=\"tiptap-view\" #editorBody></div>\n      </div>\n  ",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    styles: [".editor-body{border:1px solid var(--tip-border-color);overflow:auto;padding:1rem;height:100%;display:flex;flex-direction:column;border-bottom-left-radius:var(--tip-border-radius);border-bottom-right-radius:var(--tip-border-radius)}::ng-deep .ProseMirror>:first-child{margin-top:0}::ng-deep .ProseMirror>:last-child{margin-bottom:0}.tiptap-view{height:100%;display:flex;flex-direction:column;flex-grow:1}::ng-deep tip-editor-body .ProseMirror{flex-grow:1}"]
                },] }
    ];
    EditorBodyComponent.propDecorators = {
        minHeight: [{ type: i0.Input }],
        maxHeight: [{ type: i0.Input }],
        _editorElement: [{ type: i0.ViewChild, args: ['editorBody', { static: true },] }]
    };

    var TiptapEventService = /** @class */ (function () {
        /* tslint:enable */
        function TiptapEventService(ngZone) {
            this.ngZone = ngZone;
            this.clickSubject = new rxjs.Subject();
            this.keyboardSubject = new rxjs.Subject();
            this.clickSubscription = null;
            this.keyboardSubscription = null;
            /* tslint:disable */
            this.update$ = rxjs.merge(this.clickSubject, this.keyboardSubject);
            this.onClick$ = this.clickSubject.asObservable();
            this.onKeyboard$ = this.keyboardSubject.asObservable();
        }
        TiptapEventService.prototype.registerShortcut = function (shortcut) {
            var parts = shortcut.split('-');
            var key = parts[parts.length - 1];
            if (key === 'Space')
                key = ' ';
            var keyCodeSmall = key.toUpperCase().charCodeAt(0);
            var keyCodeLarge = key.toLowerCase().charCodeAt(0);
            var hasAlt = parts.includes('Alt');
            var hasShift = parts.includes('Shift');
            var hasMod = parts.includes('Mod');
            var hasCtrl = parts.includes('Ctrl');
            var hasCmd = parts.includes('Cmd');
            return this.onKeyboard$.pipe(operators.filter(function (e) { return (
            // Check the keycode against the large and small letter (I hate you apple)
            (e.keyCode === keyCodeSmall || e.keyCode === keyCodeLarge) &&
                e.altKey === hasAlt &&
                e.shiftKey === hasShift &&
                // Check if the meta key was pressed, or the combined mod is allowed  (I really, really, hate you apple)
                (
                // Both ctrl and command key
                hasMod && (e.ctrlKey && !e.metaKey || !e.ctrlKey && e.metaKey)
                    // Only ctrl or command key
                    || e.ctrlKey === hasCtrl && e.metaKey === hasCmd && !hasMod)); }));
        };
        TiptapEventService.prototype.setElement = function (element) {
            var _this = this;
            this.ngZone.runOutsideAngular(function () {
                var _a, _b;
                (_a = _this.clickSubscription) === null || _a === void 0 ? void 0 : _a.unsubscribe();
                (_b = _this.keyboardSubscription) === null || _b === void 0 ? void 0 : _b.unsubscribe();
                _this.clickSubscription = rxjs.fromEvent(element, 'click').subscribe(function (e) { return _this.clickSubject.next(e); });
                _this.keyboardSubscription = rxjs.fromEvent(element, 'keydown').subscribe(function (e) { return _this.keyboardSubject.next(e); });
            });
        };
        return TiptapEventService;
    }());
    TiptapEventService.ɵprov = i0__namespace.ɵɵdefineInjectable({ factory: function TiptapEventService_Factory() { return new TiptapEventService(i0__namespace.ɵɵinject(i0__namespace.NgZone)); }, token: TiptapEventService, providedIn: "root" });
    TiptapEventService.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    TiptapEventService.ctorParameters = function () { return [
        { type: i0.NgZone }
    ]; };

    var ExpandHeight = animations.trigger('expandHeight', [
        animations.transition(':enter', [
            animations.style({ height: '0' }),
            animations.animate('100ms cubic-bezier(.13,1.14,1,.92)', animations.style({ height: '*' })),
        ]),
        animations.transition(':leave', animations.animate('100ms cubic-bezier(.13,1.14,1,.92)', animations.style({ height: '0' })))
    ]);

    var OptionComponent = /** @class */ (function () {
        function OptionComponent(element) {
            this.element = element;
            this.onSelect = new i0.EventEmitter();
            this.enforceHeight = false;
            this.useHtml = false;
            this._disabled = false;
        }
        Object.defineProperty(OptionComponent.prototype, "disabled", {
            set: function (value) {
                if (this.option && value) {
                    this.option.nativeElement.setAttribute('disabled', 'true');
                }
                else {
                    this.option && this.option.nativeElement.removeAttribute('disabled');
                }
                this._disabled = false;
            },
            enumerable: false,
            configurable: true
        });
        OptionComponent.prototype.setSelected = function (value) {
            this.addOrRemoveClass(value, 'active');
        };
        OptionComponent.prototype.emit = function ($event) {
            $event.preventDefault();
            this.onSelect.emit(this);
        };
        OptionComponent.prototype.getContent = function () {
            return this.useHtml ? this.element.nativeElement.innerHTML : this.element.nativeElement.textContent;
        };
        OptionComponent.prototype.addOrRemoveClass = function (add, className) {
            var operation = add ? 'add' : 'remove';
            this.option && this.option.nativeElement.classList[operation](className);
        };
        return OptionComponent;
    }());
    OptionComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-option[value]',
                    template: "\n    <button type=\"button\" (click)=\"emit($event)\" (keydown.enter)=\"emit($event)\"\n            class=\"select-option select-overflow-wrapper\" #option>\n      <ng-content></ng-content>\n    </button>",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    styles: [":host-context(tip-select){display:flex}.select-wrapper{position:relative;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;outline-offset:-1}.select-preview,.select-wrapper{display:inline-flex;align-items:center}.select-preview{overflow:hidden;box-sizing:border-box;width:100%;height:var(--tip-select-preview-height);padding:0 .2rem;cursor:pointer;border:1px solid var(--tip-border-color);border-radius:calc(var(--tip-border-radius) / 2)}.select-preview:focus{color:var(--tip-active-color)}.select-preview.icon-placeholder{padding-right:var(--tip-select-preview-height)}.select-overflow-wrapper{overflow:hidden;box-sizing:border-box;width:100%;white-space:nowrap;display:flex;align-items:center;text-overflow:ellipsis}.select-options-overlay{position:absolute;box-sizing:border-box;z-index:1;top:0;width:100%;margin-top:4px;border-radius:calc(var(--tip-border-radius) / 2);border:1px solid var(--tip-border-color);cursor:pointer;transform:translateY(var(--tip-select-preview-height));background-color:var(--tip-background-color);overflow-y:hidden}.select-icon{position:absolute;top:50%;right:0;height:var(--tip-select-preview-height);transform:translateY(-50%);transition:rotate .3s;fill:var(--tip-text-color)}.select-icon.rotate180{transform:rotate(180deg) translateY(50%)}::ng-deep tip-select .select-preview-content,::ng-deep tip-select .select-preview-content>.select-option{height:var(--tip-select-preview-height)}::ng-deep tip-option:last-child .select-option{border-bottom:none}.select-option{padding:.2rem;transition:color .3s;border:none;border-bottom:1px solid var(--tip-border-color);background-color:transparent;color:var(--tip-text-color)}.select-option[disabled]{color:var(--tip-disabled-color)}.select-option:not([disabled]){cursor:pointer}.select-option:not([disabled]).tip-active,.select-option:not([disabled]):focus,.select-option:not([disabled]):hover{color:var(--tip-active-color)}"]
                },] }
    ];
    OptionComponent.ctorParameters = function () { return [
        { type: i0.ElementRef }
    ]; };
    OptionComponent.propDecorators = {
        value: [{ type: i0.Input }],
        enforceHeight: [{ type: i0.Input }],
        useHtml: [{ type: i0.Input }],
        option: [{ type: i0.ViewChild, args: ['option',] }],
        disabled: [{ type: i0.Input }]
    };
    // @dynamic
    var SelectComponent = /** @class */ (function () {
        function SelectComponent(cd, element, ngZone, renderer2, sanitizer, document) {
            this.cd = cd;
            this.element = element;
            this.ngZone = ngZone;
            this.renderer2 = renderer2;
            this.sanitizer = sanitizer;
            this.document = document;
            this.width = '150px';
            this.placeholder = '';
            this.defaultValue = '';
            this.showIcon = true;
            this.disablePreviewSanitation = false;
            // tslint:disable-next-line:no-output-native
            this.change = new i0.EventEmitter();
            // Is the dropdown visible
            this.visible = false;
            this.destroy$ = new rxjs.Subject();
        }
        Object.defineProperty(SelectComponent.prototype, "value", {
            get: function () {
                return this._value;
            },
            set: function (value) {
                // Nothing changed
                if (value === this._value)
                    return;
                this._value = value;
                this.updateComponent(false);
            },
            enumerable: false,
            configurable: true
        });
        SelectComponent.prototype.ngOnInit = function () {
            var _this = this;
            this.ngZone.runOutsideAngular(function () {
                rxjs.fromEvent(_this.document, 'keyup').pipe(operators.filter(function (e) { return e.key === 'Escape'; }), operators.filter(function () { return _this.visible; }), operators.takeUntil(_this.destroy$)).subscribe(function () {
                    _this.ngZone.run(function () {
                        _this.visible = false;
                        _this.cd.markForCheck();
                    });
                });
                rxjs.fromEvent(_this.document, 'click').pipe(operators.filter(function (e) { return !_this.element.nativeElement.contains(e.target) && _this.visible; }), operators.filter(function (e) {
                    var _a;
                    return (
                    // Dont trigger close if the event comes from the own toggle button, or its children
                    e.target === ((_a = _this.toggleElement) === null || _a === void 0 ? void 0 : _a.nativeElement) ||
                        !!_this.selectPreview && !_this.selectPreview.nativeElement.contains(e.target));
                }), operators.takeUntil(_this.destroy$)).subscribe(function () {
                    _this.ngZone.run(function () {
                        _this.visible = false;
                        _this.cd.markForCheck();
                    });
                });
            });
        };
        SelectComponent.prototype.ngAfterViewInit = function () {
            var _this = this;
            // Subscribe to click events on the options
            var options = this.optionList;
            this.optionList.changes.pipe(operators.startWith.apply(void 0, __spread(options)), operators.switchMap(function () { return rxjs.merge.apply(void 0, __spread(options.map(function (o) { return o.onSelect; }))); }), operators.takeUntil(this.destroy$)).subscribe(function (component) {
                // Nothing changed
                if (_this._value === component.value)
                    return;
                _this._value = component.value;
                _this.visible = false;
                _this.updateComponent(true);
            });
            // Update the selected value for the initial select
            this.updateComponent(false);
        };
        SelectComponent.prototype.ngOnDestroy = function () {
            this.destroy$.next();
            this.destroy$.complete();
        };
        SelectComponent.prototype.toggle = function () {
            this.visible = !this.visible;
        };
        /**
         * Select the current component depending on the selected value
         * @param emitUpdate Should the change be propagated
         */
        SelectComponent.prototype.updateComponent = function (emitUpdate) {
            var _this = this;
            var _a, _b;
            // No options => no update
            if (!this.optionList)
                return;
            // If no value is provided use the default value
            if (!this.value && this.defaultValue) {
                this._value = this.defaultValue;
            }
            // Deselect all
            this.optionList.forEach(function (o) { return o.setSelected(false); });
            // Select right one
            var selectedComponent = this.optionList.find(function (o) { return o.value === _this._value; });
            var previewText = this.placeholder;
            // A component is selected, so select the component
            if (selectedComponent) {
                selectedComponent.setSelected(true);
                previewText = selectedComponent.getContent();
                emitUpdate && this.change.emit(selectedComponent.value);
            }
            var sanitizedHtml = previewText;
            if (!this.disablePreviewSanitation) {
                sanitizedHtml = this.sanitizer.sanitize(i0.SecurityContext.HTML, previewText);
            }
            // Dont update if ou don't have to updaet
            if (((_a = this.selectPreview) === null || _a === void 0 ? void 0 : _a.nativeElement.innerHTML) === sanitizedHtml)
                return;
            this.selectPreview && this.renderer2.setProperty((_b = this.selectPreview) === null || _b === void 0 ? void 0 : _b.nativeElement, 'innerHTML', sanitizedHtml);
        };
        return SelectComponent;
    }());
    SelectComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-select',
                    template: "<div [ngStyle]=\"{width: width}\" class=\"select-wrapper\">\n  <div (click)=\"toggle()\" (keydown.enter)=\"toggle()\" [class.icon-placeholder]=\"showIcon\"\n       class=\"select-preview\"\n       tabindex=\"0\" #toggleElement>\n    <div #selectPreview\n         class=\"select-overflow-wrapper select-preview-content\">\n    </div>\n    <i *ngIf=\"showIcon\" [class.rotate180]=\"visible\" class=\"select-icon\">\n      <svg focusable=\"false\" height=\"24px\" viewBox=\"0 0 24 24\" width=\"24px\">\n        <path d=\"M7 10l5 5 5-5z\"/>\n      </svg>\n    </i>\n  </div>\n  <div *ngIf=\"visible\" class=\"select-options-overlay\" @expandHeight>\n    <ng-content></ng-content>\n  </div>\n</div>\n\n",
                    animations: [FadeInAnimation, ExpandHeight],
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    styles: [":host-context(tip-select){display:flex}.select-wrapper{position:relative;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;outline-offset:-1}.select-preview,.select-wrapper{display:inline-flex;align-items:center}.select-preview{overflow:hidden;box-sizing:border-box;width:100%;height:var(--tip-select-preview-height);padding:0 .2rem;cursor:pointer;border:1px solid var(--tip-border-color);border-radius:calc(var(--tip-border-radius) / 2)}.select-preview:focus{color:var(--tip-active-color)}.select-preview.icon-placeholder{padding-right:var(--tip-select-preview-height)}.select-overflow-wrapper{overflow:hidden;box-sizing:border-box;width:100%;white-space:nowrap;display:flex;align-items:center;text-overflow:ellipsis}.select-options-overlay{position:absolute;box-sizing:border-box;z-index:1;top:0;width:100%;margin-top:4px;border-radius:calc(var(--tip-border-radius) / 2);border:1px solid var(--tip-border-color);cursor:pointer;transform:translateY(var(--tip-select-preview-height));background-color:var(--tip-background-color);overflow-y:hidden}.select-icon{position:absolute;top:50%;right:0;height:var(--tip-select-preview-height);transform:translateY(-50%);transition:rotate .3s;fill:var(--tip-text-color)}.select-icon.rotate180{transform:rotate(180deg) translateY(50%)}::ng-deep tip-select .select-preview-content,::ng-deep tip-select .select-preview-content>.select-option{height:var(--tip-select-preview-height)}::ng-deep tip-option:last-child .select-option{border-bottom:none}.select-option{padding:.2rem;transition:color .3s;border:none;border-bottom:1px solid var(--tip-border-color);background-color:transparent;color:var(--tip-text-color)}.select-option[disabled]{color:var(--tip-disabled-color)}.select-option:not([disabled]){cursor:pointer}.select-option:not([disabled]).tip-active,.select-option:not([disabled]):focus,.select-option:not([disabled]):hover{color:var(--tip-active-color)}"]
                },] }
    ];
    SelectComponent.ctorParameters = function () { return [
        { type: i0.ChangeDetectorRef },
        { type: i0.ElementRef },
        { type: i0.NgZone },
        { type: i0.Renderer2 },
        { type: platformBrowser.DomSanitizer },
        { type: Document, decorators: [{ type: i0.Inject, args: [i1.DOCUMENT,] }] }
    ]; };
    SelectComponent.propDecorators = {
        width: [{ type: i0.Input }],
        placeholder: [{ type: i0.Input }],
        defaultValue: [{ type: i0.Input }],
        showIcon: [{ type: i0.Input }],
        disablePreviewSanitation: [{ type: i0.Input }],
        change: [{ type: i0.Output }],
        optionList: [{ type: i0.ContentChildren, args: [OptionComponent, { descendants: true },] }],
        selectPreview: [{ type: i0.ViewChild, args: ['selectPreview',] }],
        toggleElement: [{ type: i0.ViewChild, args: ['toggleElement',] }],
        value: [{ type: i0.Input }]
    };

    var BaseControl = /** @class */ (function () {
        function BaseControl() {
            this._editor = null;
        }
        Object.defineProperty(BaseControl.prototype, "editor", {
            get: function () {
                return this._editor;
            },
            enumerable: false,
            configurable: true
        });
        BaseControl.prototype.setEditor = function (editor) {
            this._editor = editor;
            this.onEditorReady && this.onEditorReady(editor);
        };
        return BaseControl;
    }());
    // tslint:disable-next-line:directive-class-suffix
    var ExtendedBaseControl = /** @class */ (function (_super) {
        __extends(ExtendedBaseControl, _super);
        function ExtendedBaseControl() {
            var _this = _super.apply(this, __spread(arguments)) || this;
            _this.destroy$ = new rxjs.Subject();
            return _this;
        }
        ExtendedBaseControl.prototype.ngOnDestroy = function () {
            this.destroy$.next(true);
            this.destroy$.complete();
        };
        ExtendedBaseControl.prototype.setEditor = function (editor) {
            var _this = this;
            _super.prototype.setEditor.call(this, editor);
            fromEditorEvent(editor, 'destroy', true).pipe(operators.takeUntil(this.destroy$))
                .subscribe(function () { return _this.onEditorDestroy && _this.onEditorDestroy(); });
        };
        ExtendedBaseControl.prototype.isEditable = function () {
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.isEditable);
        };
        return ExtendedBaseControl;
    }(BaseControl));
    ExtendedBaseControl.decorators = [
        { type: i0.Directive }
    ];
    // tslint:disable-next-line:directive-class-suffix
    var ButtonBaseControl = /** @class */ (function (_super) {
        __extends(ButtonBaseControl, _super);
        function ButtonBaseControl() {
            var _this = _super.apply(this, __spread(arguments)) || this;
            _this.updateEvent = 'transaction';
            return _this;
        }
        ButtonBaseControl.prototype.ngAfterViewInit = function () {
            if (!this.button && i0.isDevMode()) {
                console.warn("The button element in your control could not be found in " + this.constructor.name + "\nPlease add #button to your control button element");
            }
        };
        ButtonBaseControl.prototype.setEditor = function (editor) {
            var _this = this;
            _super.prototype.setEditor.call(this, editor);
            fromEditorEvent(editor, this.updateEvent).pipe(operators.takeUntil(this.destroy$))
                .subscribe(function () { return _this.updateButton(); });
            this.updateButton();
        };
        ButtonBaseControl.prototype.updateButton = function () {
            return __awaiter(this, void 0, void 0, function () {
                var activeAction;
                return __generator(this, function (_b) {
                    switch (_b.label) {
                        case 0:
                            if (!this.button)
                                return [2 /*return*/];
                            return [4 /*yield*/, this.isActive()];
                        case 1:
                            activeAction = (_b.sent()) ? 'add' : 'remove';
                            this.button.nativeElement.classList[activeAction]('tip-active');
                            return [4 /*yield*/, this.can()];
                        case 2:
                            if ((_b.sent()) && this.isEditable()) {
                                this.button.nativeElement.removeAttribute('disabled');
                            }
                            else {
                                this.button.nativeElement.setAttribute('disabled', 'true');
                            }
                            return [2 /*return*/];
                    }
                });
            });
        };
        return ButtonBaseControl;
    }(ExtendedBaseControl));
    ButtonBaseControl.decorators = [
        { type: i0.Directive }
    ];
    ButtonBaseControl.propDecorators = {
        button: [{ type: i0.ViewChild, args: ['button',] }]
    };
    // tslint:disable-next-line:directive-class-suffix
    var SelectBaseControl = /** @class */ (function (_super) {
        __extends(SelectBaseControl, _super);
        function SelectBaseControl() {
            var _this = _super.apply(this, __spread(arguments)) || this;
            _this.canStyleParams = [];
            return _this;
        }
        SelectBaseControl.prototype.ngOnInit = function () {
            var _this = this;
            this.eventService.update$.pipe(operators.takeUntil(this.destroy$)).subscribe(function () {
                _this.updateSelectValue();
                _this.updateDisabledValue();
            });
        };
        SelectBaseControl.prototype.ngAfterViewInit = function () {
            if (!i0.isDevMode() && !this.select) {
                console.warn("The select element in your control could not be found in " + this.constructor.name + "\nPlease make sure you have a tip-select in your component");
            }
        };
        SelectBaseControl.prototype.setEditor = function (editor) {
            _super.prototype.setEditor.call(this, editor);
            this.updateSelectValue();
            this.updateDisabledValue();
        };
        SelectBaseControl.prototype.updateSelectValue = function () {
            return __awaiter(this, void 0, void 0, function () {
                var _b;
                return __generator(this, function (_c) {
                    switch (_c.label) {
                        case 0:
                            _b = this.select;
                            return [4 /*yield*/, this.currentActive()];
                        case 1:
                            _b.value = _c.sent();
                            return [2 /*return*/];
                    }
                });
            });
        };
        SelectBaseControl.prototype.updateDisabledValue = function () {
            return __awaiter(this, void 0, void 0, function () {
                var optionsList, _b, _c, _d, index, param, option, _e, e_1_1;
                var e_1, _f;
                return __generator(this, function (_g) {
                    switch (_g.label) {
                        case 0:
                            optionsList = this.options.toArray();
                            _g.label = 1;
                        case 1:
                            _g.trys.push([1, 6, 7, 8]);
                            _b = __values(this.canStyleParams.entries()), _c = _b.next();
                            _g.label = 2;
                        case 2:
                            if (!!_c.done) return [3 /*break*/, 5];
                            _d = __read(_c.value, 2), index = _d[0], param = _d[1];
                            option = optionsList[index];
                            if (!option)
                                return [3 /*break*/, 4];
                            _e = option;
                            return [4 /*yield*/, this.canStyle(param)];
                        case 3:
                            _e.disabled = !((_g.sent()) && this.isEditable());
                            _g.label = 4;
                        case 4:
                            _c = _b.next();
                            return [3 /*break*/, 2];
                        case 5: return [3 /*break*/, 8];
                        case 6:
                            e_1_1 = _g.sent();
                            e_1 = { error: e_1_1 };
                            return [3 /*break*/, 8];
                        case 7:
                            try {
                                if (_c && !_c.done && (_f = _b.return)) _f.call(_b);
                            }
                            finally { if (e_1) throw e_1.error; }
                            return [7 /*endfinally*/];
                        case 8: return [2 /*return*/];
                    }
                });
            });
        };
        return SelectBaseControl;
    }(ExtendedBaseControl));
    SelectBaseControl.decorators = [
        { type: i0.Directive }
    ];
    SelectBaseControl.propDecorators = {
        select: [{ type: i0.ViewChild, args: [SelectComponent,] }],
        options: [{ type: i0.ViewChildren, args: [OptionComponent,] }]
    };

    var ControlBoldComponent = /** @class */ (function (_super) {
        __extends(ControlBoldComponent, _super);
        function ControlBoldComponent(eventService) {
            var _this = _super.call(this) || this;
            _this.eventService = eventService;
            return _this;
        }
        ControlBoldComponent.prototype.toggleBold = function () {
            this.editor && this.editor.chain().focus().toggleBold().run();
        };
        ControlBoldComponent.prototype.isActive = function () {
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.isActive('bold'));
        };
        ControlBoldComponent.prototype.can = function () {
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.can().toggleBold());
        };
        return ControlBoldComponent;
    }(ButtonBaseControl));
    ControlBoldComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-control-bold',
                    template: "\n    <button class=\"tip-control-button\" type=\"button\" (click)=\"toggleBold()\" #button>\n      <div class=\"content-wrapper\" #ref>\n        <ng-content></ng-content>\n      </div>\n      <i *ngIf=\"ref.childNodes.length === 0\" class=\"material-icons-round\">format_bold</i>\n    </button>\n  ",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    providers: [{ provide: BaseControl, useExisting: i0.forwardRef(function () { return ControlBoldComponent; }) }],
                    styles: [":host-context{display:contents}.tip-control-button{display:inline-flex;align-items:center;justify-content:center;padding:1px calc(var(--tip-header-padding) / 2);cursor:pointer;color:var(--tip-text-color);border:none;background-color:transparent;-webkit-tap-highlight-color:transparent}@media (pointer:fine){.tip-control-button:focus,.tip-control-button:hover{color:var(--tip-active-color)}}.tip-control-button[disabled]{cursor:default;color:var(--tip-disabled-color)}.content-wrapper{display:contents}.tip-active{color:var(--tip-active-color)}"]
                },] }
    ];
    ControlBoldComponent.ctorParameters = function () { return [
        { type: TiptapEventService }
    ]; };

    var ControlBulletListComponent = /** @class */ (function (_super) {
        __extends(ControlBulletListComponent, _super);
        function ControlBulletListComponent(eventService) {
            var _this = _super.call(this) || this;
            _this.eventService = eventService;
            return _this;
        }
        ControlBulletListComponent.prototype.toggleList = function () {
            this.editor && this.editor.chain().focus().toggleBulletList().run();
        };
        ControlBulletListComponent.prototype.can = function () {
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.can().toggleBulletList());
        };
        ControlBulletListComponent.prototype.isActive = function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.isActive('bulletList'));
        };
        return ControlBulletListComponent;
    }(ButtonBaseControl));
    ControlBulletListComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: '' +
                        'tip-bullet-list-control',
                    template: "\n    <button class=\"tip-control-button\" type=\"button\" (click)=\"toggleList()\" #button>\n      <div class=\"content-wrapper\" #ref>\n        <ng-content></ng-content>\n      </div>\n      <i *ngIf=\"ref.childNodes.length === 0\" class=\"material-icons-round\">format_list_bulleted</i>\n    </button>",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    providers: [{ provide: BaseControl, useExisting: i0.forwardRef(function () { return ControlBulletListComponent; }) }],
                    styles: [":host-context{display:contents}.tip-control-button{display:inline-flex;align-items:center;justify-content:center;padding:1px calc(var(--tip-header-padding) / 2);cursor:pointer;color:var(--tip-text-color);border:none;background-color:transparent;-webkit-tap-highlight-color:transparent}@media (pointer:fine){.tip-control-button:focus,.tip-control-button:hover{color:var(--tip-active-color)}}.tip-control-button[disabled]{cursor:default;color:var(--tip-disabled-color)}.content-wrapper{display:contents}.tip-active{color:var(--tip-active-color)}"]
                },] }
    ];
    ControlBulletListComponent.ctorParameters = function () { return [
        { type: TiptapEventService }
    ]; };

    var ControlCodeBlockComponent = /** @class */ (function (_super) {
        __extends(ControlCodeBlockComponent, _super);
        function ControlCodeBlockComponent(eventService) {
            var _this = _super.call(this) || this;
            _this.eventService = eventService;
            return _this;
        }
        ControlCodeBlockComponent.prototype.toggleCodeBlock = function () {
            this.editor && this.editor.chain().focus().toggleCodeBlock().run();
        };
        ControlCodeBlockComponent.prototype.can = function () {
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.can().toggleCodeBlock());
        };
        ControlCodeBlockComponent.prototype.isActive = function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.isActive('codeBlock'));
        };
        return ControlCodeBlockComponent;
    }(ButtonBaseControl));
    ControlCodeBlockComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-code-block-control',
                    template: "\n    <button class=\"tip-control-button\" type=\"button\" (click)=\"toggleCodeBlock()\" #button>\n      <div class=\"content-wrapper\" #ref>\n        <ng-content></ng-content>\n      </div>\n      <i *ngIf=\"ref.childNodes.length === 0\" class=\"material-icons-round\">integration_instructions</i>\n    </button>",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    providers: [{ provide: BaseControl, useExisting: i0.forwardRef(function () { return ControlCodeBlockComponent; }) }],
                    styles: [":host-context{display:contents}.tip-control-button{display:inline-flex;align-items:center;justify-content:center;padding:1px calc(var(--tip-header-padding) / 2);cursor:pointer;color:var(--tip-text-color);border:none;background-color:transparent;-webkit-tap-highlight-color:transparent}@media (pointer:fine){.tip-control-button:focus,.tip-control-button:hover{color:var(--tip-active-color)}}.tip-control-button[disabled]{cursor:default;color:var(--tip-disabled-color)}.content-wrapper{display:contents}.tip-active{color:var(--tip-active-color)}"]
                },] }
    ];
    ControlCodeBlockComponent.ctorParameters = function () { return [
        { type: TiptapEventService }
    ]; };

    var ControlCodeComponent = /** @class */ (function (_super) {
        __extends(ControlCodeComponent, _super);
        function ControlCodeComponent(eventService) {
            var _this = _super.call(this) || this;
            _this.eventService = eventService;
            return _this;
        }
        ControlCodeComponent.prototype.toggleCode = function () {
            this.editor && this.editor.chain().focus().toggleCode().run();
        };
        ControlCodeComponent.prototype.can = function () {
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.can().toggleCode());
        };
        ControlCodeComponent.prototype.isActive = function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.isActive('code'));
        };
        return ControlCodeComponent;
    }(ButtonBaseControl));
    ControlCodeComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-control-code',
                    template: "\n    <button class=\"tip-control-button\" type=\"button\" (click)=\"toggleCode()\" #button>\n      <div class=\"content-wrapper\" #ref>\n        <ng-content></ng-content>\n      </div>\n      <i *ngIf=\"ref.childNodes.length === 0\" class=\"material-icons-round\">code</i>\n    </button>",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    providers: [{ provide: BaseControl, useExisting: i0.forwardRef(function () { return ControlCodeComponent; }) }],
                    styles: [":host-context{display:contents}.tip-control-button{display:inline-flex;align-items:center;justify-content:center;padding:1px calc(var(--tip-header-padding) / 2);cursor:pointer;color:var(--tip-text-color);border:none;background-color:transparent;-webkit-tap-highlight-color:transparent}@media (pointer:fine){.tip-control-button:focus,.tip-control-button:hover{color:var(--tip-active-color)}}.tip-control-button[disabled]{cursor:default;color:var(--tip-disabled-color)}.content-wrapper{display:contents}.tip-active{color:var(--tip-active-color)}"]
                },] }
    ];
    ControlCodeComponent.ctorParameters = function () { return [
        { type: TiptapEventService }
    ]; };

    var isHeading = function (level) { return typeof level === 'number'; };
    var ɵ0 = isHeading;
    var ControlFormatComponent = /** @class */ (function (_super) {
        __extends(ControlFormatComponent, _super);
        function ControlFormatComponent(eventService, cd) {
            var _this = _super.call(this) || this;
            _this.eventService = eventService;
            _this.cd = cd;
            _this.disableSanitation = false;
            _this.levels = [];
            _this.headingHtml = {};
            _this.canStyleParams = [];
            return _this;
        }
        ControlFormatComponent.prototype.setEditor = function (editor) {
            _super.prototype.setEditor.call(this, editor);
            this.levels = getHeadingsExtension(editor).options.levels;
            this.canStyleParams = __spread(this.levels, ['paragraph']);
            this.headingHtml = __spread(this.levels).reduce(function (previousValue, currentValue) {
                previousValue[currentValue] = "<h" + currentValue + " class=\"no-margin light-font\">Heading " + currentValue + "</h" + currentValue + ">";
                return previousValue;
            }, {});
            this.cd.detectChanges();
        };
        ControlFormatComponent.prototype.selectTextLevel = function (format) {
            if (isHeading(format)) {
                this.setHeading(format);
            }
            else {
                this.setParagraph();
            }
        };
        ControlFormatComponent.prototype.canStyle = function (format) {
            if (!this.editor)
                return false;
            if (isHeading(format)) {
                return this.editor.can().chain().setHeading({ level: format }).run();
            }
            else {
                return this.editor.can().chain().setParagraph().run();
            }
        };
        ControlFormatComponent.prototype.currentActive = function () {
            if (this.editor) {
                var headingAttributes = this.editor.getAttributes('heading');
                if (headingAttributes.level)
                    return headingAttributes.level;
                if (this.editor.isActive('paragraph'))
                    return 'paragraph';
            }
            return null;
        };
        ControlFormatComponent.prototype.setParagraph = function () {
            this.editor && this.editor.chain().setParagraph().run();
        };
        ControlFormatComponent.prototype.setHeading = function (headingLevel) {
            this.editor && this.editor.chain().focus().setHeading({ level: headingLevel }).focus().run();
        };
        return ControlFormatComponent;
    }(SelectBaseControl));
    ControlFormatComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-format-control',
                    template: "\n    <tip-select (change)=\"selectTextLevel($event)\" defaultValue=\"paragraph\"\n                [disablePreviewSanitation]=\"disableSanitation\">\n      <tip-option *ngFor=\"let level of levels\" [value]=\"level\">\n        <div [innerHTML]=\"headingHtml[level]\"></div>\n      </tip-option>\n      <tip-option value=\"paragraph\">\n        <div>\n          <p class=\"no-margin light-font\">Paragraph</p>\n        </div>\n      </tip-option>\n    </tip-select>\n  ",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    providers: [{ provide: BaseControl, useExisting: i0.forwardRef(function () { return ControlFormatComponent; }) }],
                    styles: [":host-context{display:contents}.tip-control-button{display:inline-flex;align-items:center;justify-content:center;padding:1px calc(var(--tip-header-padding) / 2);cursor:pointer;color:var(--tip-text-color);border:none;background-color:transparent;-webkit-tap-highlight-color:transparent}@media (pointer:fine){.tip-control-button:focus,.tip-control-button:hover{color:var(--tip-active-color)}}.tip-control-button[disabled]{cursor:default;color:var(--tip-disabled-color)}.content-wrapper{display:contents}.tip-active{color:var(--tip-active-color)}"]
                },] }
    ];
    ControlFormatComponent.ctorParameters = function () { return [
        { type: TiptapEventService },
        { type: i0.ChangeDetectorRef }
    ]; };
    ControlFormatComponent.propDecorators = {
        disableSanitation: [{ type: i0.Input }]
    };

    var HorizontalRuleControlComponent = /** @class */ (function (_super) {
        __extends(HorizontalRuleControlComponent, _super);
        function HorizontalRuleControlComponent(eventService) {
            var _this = _super.call(this) || this;
            _this.eventService = eventService;
            return _this;
        }
        HorizontalRuleControlComponent.prototype.addHorizontalRule = function () {
            this.editor && this.editor.chain().focus().setHorizontalRule().run();
        };
        HorizontalRuleControlComponent.prototype.can = function () {
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.can().setHorizontalRule());
        };
        HorizontalRuleControlComponent.prototype.isActive = function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            return false;
        };
        return HorizontalRuleControlComponent;
    }(ButtonBaseControl));
    HorizontalRuleControlComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-control-hr',
                    template: "\n    <button class=\"tip-control-button\" type=\"button\" (click)=\"addHorizontalRule()\" #button>\n      <div class=\"content-wrapper\" #ref>\n        <ng-content></ng-content>\n      </div>\n      <i *ngIf=\"ref.childNodes.length === 0\" class=\"material-icons-round\">horizontal_rule</i>\n    </button>",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    providers: [{ provide: BaseControl, useExisting: i0.forwardRef(function () { return HorizontalRuleControlComponent; }) }],
                    styles: [":host-context{display:contents}.tip-control-button{display:inline-flex;align-items:center;justify-content:center;padding:1px calc(var(--tip-header-padding) / 2);cursor:pointer;color:var(--tip-text-color);border:none;background-color:transparent;-webkit-tap-highlight-color:transparent}@media (pointer:fine){.tip-control-button:focus,.tip-control-button:hover{color:var(--tip-active-color)}}.tip-control-button[disabled]{cursor:default;color:var(--tip-disabled-color)}.content-wrapper{display:contents}.tip-active{color:var(--tip-active-color)}"]
                },] }
    ];
    HorizontalRuleControlComponent.ctorParameters = function () { return [
        { type: TiptapEventService }
    ]; };

    var ControlItalicComponent = /** @class */ (function (_super) {
        __extends(ControlItalicComponent, _super);
        function ControlItalicComponent(eventService) {
            var _this = _super.call(this) || this;
            _this.eventService = eventService;
            return _this;
        }
        ControlItalicComponent.prototype.toggleItalic = function () {
            this.editor && this.editor.chain().focus().toggleItalic().run();
        };
        ControlItalicComponent.prototype.isActive = function () {
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.isActive('italic'));
        };
        ControlItalicComponent.prototype.can = function () {
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.can().toggleItalic());
        };
        return ControlItalicComponent;
    }(ButtonBaseControl));
    ControlItalicComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-control-italic',
                    template: "\n    <button class=\"tip-control-button\" type=\"button\" (click)=\"toggleItalic()\" #button>\n      <div class=\"content-wrapper\" #ref>\n        <ng-content></ng-content>\n      </div>\n      <i *ngIf=\"ref.childNodes.length === 0\" class=\"material-icons-round\">format_italic</i>\n    </button>",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    providers: [{ provide: BaseControl, useExisting: i0.forwardRef(function () { return ControlItalicComponent; }) }],
                    styles: [":host-context{display:contents}.tip-control-button{display:inline-flex;align-items:center;justify-content:center;padding:1px calc(var(--tip-header-padding) / 2);cursor:pointer;color:var(--tip-text-color);border:none;background-color:transparent;-webkit-tap-highlight-color:transparent}@media (pointer:fine){.tip-control-button:focus,.tip-control-button:hover{color:var(--tip-active-color)}}.tip-control-button[disabled]{cursor:default;color:var(--tip-disabled-color)}.content-wrapper{display:contents}.tip-active{color:var(--tip-active-color)}"]
                },] }
    ];
    ControlItalicComponent.ctorParameters = function () { return [
        { type: TiptapEventService }
    ]; };

    var TiptapExtensionService = /** @class */ (function () {
        function TiptapExtensionService() {
            this._nativeExtensions = {};
            this._angularExtensions = {};
        }
        Object.defineProperty(TiptapExtensionService.prototype, "angularExtensions", {
            get: function () {
                return this._angularExtensions;
            },
            enumerable: false,
            configurable: true
        });
        TiptapExtensionService.prototype.setAngularExtensions = function (value) {
            this._angularExtensions = value.reduce(function (previousValue, currentValue) {
                previousValue[currentValue.nativeExtension.name] = currentValue;
                return previousValue;
            }, {});
        };
        Object.defineProperty(TiptapExtensionService.prototype, "nativeExtensions", {
            get: function () {
                return this._nativeExtensions;
            },
            enumerable: false,
            configurable: true
        });
        TiptapExtensionService.prototype.setNativeExtensions = function (value) {
            this._nativeExtensions = value.reduce(function (previousValue, currentValue) {
                previousValue[currentValue.name] = currentValue;
                return previousValue;
            }, {});
        };
        TiptapExtensionService.prototype.getExtension = function (extensionName) {
            if (extensionName in this._angularExtensions) {
                return this._angularExtensions[extensionName];
            }
            if (extensionName in this._nativeExtensions) {
                return this._nativeExtensions[extensionName];
            }
            return null;
        };
        return TiptapExtensionService;
    }());
    TiptapExtensionService.ɵprov = i0__namespace.ɵɵdefineInjectable({ factory: function TiptapExtensionService_Factory() { return new TiptapExtensionService(); }, token: TiptapExtensionService, providedIn: "root" });
    TiptapExtensionService.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];

    // @dynamic
    var ControlLinkComponent = /** @class */ (function (_super) {
        __extends(ControlLinkComponent, _super);
        function ControlLinkComponent(eventService, extensionService) {
            var _this = _super.call(this) || this;
            _this.eventService = eventService;
            _this.extensionService = extensionService;
            _this.updateEvent = 'selectionUpdate';
            return _this;
        }
        ControlLinkComponent.prototype.onEditorReady = function (editor) {
            this.linkExtension = this.extensionService.getExtension('link');
        };
        ControlLinkComponent.prototype.can = function () {
            return __awaiter(this, void 0, void 0, function () {
                return __generator(this, function (_a) {
                    return [2 /*return*/, this.linkExtension.can()];
                });
            });
        };
        ControlLinkComponent.prototype.openLinkDialog = function () {
            return __awaiter(this, void 0, void 0, function () {
                return __generator(this, function (_a) {
                    return [2 /*return*/, this.linkExtension.openCreateLinkDialog()];
                });
            });
        };
        ControlLinkComponent.prototype.isActive = function () {
            return this.linkExtension.isActive();
        };
        return ControlLinkComponent;
    }(ButtonBaseControl));
    ControlLinkComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-control-link',
                    template: "\n    <button class=\"tip-control-button\" type=\"button\" (click)=\"openLinkDialog()\" disabled #button>\n      <div class=\"content-wrapper\" #ref>\n        <ng-content></ng-content>\n      </div>\n      <i *ngIf=\"ref.childNodes.length === 0\" class=\"material-icons-round\">link</i>\n    </button>",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    providers: [{ provide: BaseControl, useExisting: i0.forwardRef(function () { return ControlLinkComponent; }) }],
                    styles: [":host-context{display:contents}.tip-control-button{display:inline-flex;align-items:center;justify-content:center;padding:1px calc(var(--tip-header-padding) / 2);cursor:pointer;color:var(--tip-text-color);border:none;background-color:transparent;-webkit-tap-highlight-color:transparent}@media (pointer:fine){.tip-control-button:focus,.tip-control-button:hover{color:var(--tip-active-color)}}.tip-control-button[disabled]{cursor:default;color:var(--tip-disabled-color)}.content-wrapper{display:contents}.tip-active{color:var(--tip-active-color)}"]
                },] }
    ];
    ControlLinkComponent.ctorParameters = function () { return [
        { type: TiptapEventService },
        { type: TiptapExtensionService }
    ]; };

    var ControlMentionComponent = /** @class */ (function (_super) {
        __extends(ControlMentionComponent, _super);
        function ControlMentionComponent(eventService, extensionService) {
            var _this = _super.call(this) || this;
            _this.eventService = eventService;
            _this.extensionService = extensionService;
            _this.createMention = new i0.EventEmitter();
            _this.mentionClicked = new i0.EventEmitter();
            return _this;
        }
        ControlMentionComponent.prototype.onEditorReady = function (editor) {
            var _this = this;
            this.mentionExtension = this.extensionService.getExtension('mention');
            this.mentionExtension.onClick$.pipe(operators.takeUntil(this.destroy$)).subscribe(function (e) { return _this.mentionClicked.emit(e); });
        };
        ControlMentionComponent.prototype.updateMention = function () {
            var _this = this;
            this.createMention.emit(function (props) { var _a; return (_a = _this.editor) === null || _a === void 0 ? void 0 : _a.chain().focus().setMention({ props: props }).run(); });
        };
        ControlMentionComponent.prototype.isActive = function () {
            return false;
        };
        ControlMentionComponent.prototype.can = function () {
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.can().setMention({ props: { id: '' } }));
        };
        return ControlMentionComponent;
    }(ButtonBaseControl));
    ControlMentionComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-control-mention',
                    template: "\n    <button class=\"tip-control-button\" type=\"button\" (click)=\"updateMention()\" #button>\n      <div class=\"content-wrapper\" #ref>\n        <ng-content></ng-content>\n      </div>\n      <i *ngIf=\"ref.childNodes.length === 0\" class=\"material-icons-round\">person_add</i>\n    </button>\n  ",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    providers: [{ provide: BaseControl, useExisting: i0.forwardRef(function () { return ControlMentionComponent; }) }],
                    styles: [":host-context{display:contents}.tip-control-button{display:inline-flex;align-items:center;justify-content:center;padding:1px calc(var(--tip-header-padding) / 2);cursor:pointer;color:var(--tip-text-color);border:none;background-color:transparent;-webkit-tap-highlight-color:transparent}@media (pointer:fine){.tip-control-button:focus,.tip-control-button:hover{color:var(--tip-active-color)}}.tip-control-button[disabled]{cursor:default;color:var(--tip-disabled-color)}.content-wrapper{display:contents}.tip-active{color:var(--tip-active-color)}"]
                },] }
    ];
    ControlMentionComponent.ctorParameters = function () { return [
        { type: TiptapEventService },
        { type: TiptapExtensionService }
    ]; };
    ControlMentionComponent.propDecorators = {
        createMention: [{ type: i0.Output }],
        mentionClicked: [{ type: i0.Output }]
    };

    var ControlNumberListComponent = /** @class */ (function (_super) {
        __extends(ControlNumberListComponent, _super);
        function ControlNumberListComponent(eventService) {
            var _this = _super.call(this) || this;
            _this.eventService = eventService;
            return _this;
        }
        ControlNumberListComponent.prototype.toggleList = function () {
            this.editor && this.editor.chain().focus().toggleOrderedList().run();
        };
        ControlNumberListComponent.prototype.can = function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.can().toggleOrderedList());
        };
        ControlNumberListComponent.prototype.isActive = function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.isActive('orderedList'));
        };
        return ControlNumberListComponent;
    }(ButtonBaseControl));
    ControlNumberListComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-control-number-list',
                    template: "\n    <button class=\"tip-control-button\" type=\"button\" (click)=\"toggleList()\" #button>\n      <div class=\"content-wrapper\" #ref>\n        <ng-content></ng-content>\n      </div>\n      <i *ngIf=\"ref.childNodes.length === 0\" class=\"material-icons-round\">format_list_numbered</i>\n    </button>",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    providers: [{ provide: BaseControl, useExisting: i0.forwardRef(function () { return ControlNumberListComponent; }) }],
                    styles: [":host-context{display:contents}.tip-control-button{display:inline-flex;align-items:center;justify-content:center;padding:1px calc(var(--tip-header-padding) / 2);cursor:pointer;color:var(--tip-text-color);border:none;background-color:transparent;-webkit-tap-highlight-color:transparent}@media (pointer:fine){.tip-control-button:focus,.tip-control-button:hover{color:var(--tip-active-color)}}.tip-control-button[disabled]{cursor:default;color:var(--tip-disabled-color)}.content-wrapper{display:contents}.tip-active{color:var(--tip-active-color)}"]
                },] }
    ];
    ControlNumberListComponent.ctorParameters = function () { return [
        { type: TiptapEventService }
    ]; };

    var ControlStrikeComponent = /** @class */ (function (_super) {
        __extends(ControlStrikeComponent, _super);
        function ControlStrikeComponent(eventService) {
            var _this = _super.call(this) || this;
            _this.eventService = eventService;
            return _this;
        }
        ControlStrikeComponent.prototype.toggleList = function () {
            this.editor && this.editor.chain().focus().toggleStrike().run();
        };
        ControlStrikeComponent.prototype.can = function () {
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.can().toggleStrike());
        };
        ControlStrikeComponent.prototype.isActive = function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.isActive('strike'));
        };
        return ControlStrikeComponent;
    }(ButtonBaseControl));
    ControlStrikeComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-control-strike',
                    template: "\n    <button class=\"tip-control-button\" type=\"button\" (click)=\"toggleList()\" #button>\n      <div class=\"content-wrapper\" #ref>\n        <ng-content></ng-content>\n      </div>\n      <i *ngIf=\"ref.childNodes.length === 0\" class=\"material-icons-round\">format_strikethrough</i>\n    </button>",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    providers: [{ provide: BaseControl, useExisting: i0.forwardRef(function () { return ControlStrikeComponent; }) }],
                    styles: [":host-context{display:contents}.tip-control-button{display:inline-flex;align-items:center;justify-content:center;padding:1px calc(var(--tip-header-padding) / 2);cursor:pointer;color:var(--tip-text-color);border:none;background-color:transparent;-webkit-tap-highlight-color:transparent}@media (pointer:fine){.tip-control-button:focus,.tip-control-button:hover{color:var(--tip-active-color)}}.tip-control-button[disabled]{cursor:default;color:var(--tip-disabled-color)}.content-wrapper{display:contents}.tip-active{color:var(--tip-active-color)}"]
                },] }
    ];
    ControlStrikeComponent.ctorParameters = function () { return [
        { type: TiptapEventService }
    ]; };

    var ControlTasklistComponent = /** @class */ (function (_super) {
        __extends(ControlTasklistComponent, _super);
        function ControlTasklistComponent(eventService) {
            var _this = _super.call(this) || this;
            _this.eventService = eventService;
            return _this;
        }
        ControlTasklistComponent.prototype.toggleTask = function () {
            this.editor && this.editor.chain().focus().toggleTaskList().run();
        };
        ControlTasklistComponent.prototype.can = function () {
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.can().toggleTaskList());
        };
        ControlTasklistComponent.prototype.isActive = function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.isActive('taskList'));
        };
        return ControlTasklistComponent;
    }(ButtonBaseControl));
    ControlTasklistComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-control-task',
                    template: "\n    <button class=\"tip-control-button\" type=\"button\" (click)=\"toggleTask()\" #button>\n      <div class=\"content-wrapper\" #ref>\n        <ng-content></ng-content>\n      </div>\n      <i *ngIf=\"ref.childNodes.length === 0\" class=\"material-icons-round\">checklist</i>\n    </button>",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    providers: [{ provide: BaseControl, useExisting: i0.forwardRef(function () { return ControlTasklistComponent; }) }],
                    styles: [":host-context{display:contents}.tip-control-button{display:inline-flex;align-items:center;justify-content:center;padding:1px calc(var(--tip-header-padding) / 2);cursor:pointer;color:var(--tip-text-color);border:none;background-color:transparent;-webkit-tap-highlight-color:transparent}@media (pointer:fine){.tip-control-button:focus,.tip-control-button:hover{color:var(--tip-active-color)}}.tip-control-button[disabled]{cursor:default;color:var(--tip-disabled-color)}.content-wrapper{display:contents}.tip-active{color:var(--tip-active-color)}"]
                },] }
    ];
    ControlTasklistComponent.ctorParameters = function () { return [
        { type: TiptapEventService }
    ]; };

    var ControlTextAlignComponent = /** @class */ (function (_super) {
        __extends(ControlTextAlignComponent, _super);
        function ControlTextAlignComponent(eventService) {
            var _this = _super.call(this) || this;
            _this.eventService = eventService;
            _this.disableSanitation = false;
            _this.canStyleParams = ['left', 'right', 'center', 'justify'];
            return _this;
        }
        ControlTextAlignComponent.prototype.setAlign = function (alignment) {
            this.editor && this.editor.chain().focus().setTextAlign(alignment).run();
        };
        ControlTextAlignComponent.prototype.canStyle = function (alignment) {
            if (!this.editor)
                return false;
            return this.editor.can().setTextAlign(alignment);
        };
        ControlTextAlignComponent.prototype.currentActive = function () {
            if (this.editor) {
                if (this.editor.isActive({ textAlign: 'left' }))
                    return 'left';
                if (this.editor.isActive({ textAlign: 'right' }))
                    return 'right';
                if (this.editor.isActive({ textAlign: 'center' }))
                    return 'center';
                if (this.editor.isActive({ textAlign: 'justify' }))
                    return 'justify';
            }
            return null;
        };
        return ControlTextAlignComponent;
    }(SelectBaseControl));
    ControlTextAlignComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-control-text-align',
                    template: "\n    <tip-select defaultValue=\"left\" width=\"auto\" [showIcon]=\"false\"\n                (change)=\"setAlign($event)\" [disablePreviewSanitation]=\"disableSanitation\">\n      <tip-option value=\"left\" [useHtml]=\"true\" [enforceHeight]=\"true\">\n        <div class=\"content-wrapper\" #left>\n          <ng-content select=\"[data-left]\"></ng-content>\n        </div>\n        <i *ngIf=\"left.childNodes.length === 0\" class=\"material-icons-round\">format_align_left</i>\n      </tip-option>\n      <tip-option value=\"right\" [useHtml]=\"true\" [enforceHeight]=\"true\">\n        <div class=\"content-wrapper\" #right>\n          <ng-content select=\"[data-right]\"></ng-content>\n        </div>\n        <i *ngIf=\"right.childNodes.length === 0\" class=\"material-icons-round\">format_align_right</i>\n      </tip-option>\n      <tip-option value=\"center\" [useHtml]=\"true\" [enforceHeight]=\"true\">\n        <div class=\"content-wrapper\" #center>\n          <ng-content select=\"[data-center]\"></ng-content>\n        </div>\n        <i *ngIf=\"center.childNodes.length === 0\" class=\"material-icons-round\">format_align_center</i>\n      </tip-option>\n      <tip-option value=\"justify\" [useHtml]=\"true\" [enforceHeight]=\"true\">\n        <div class=\"content-wrapper\" #justify>\n          <ng-content select=\"[data-justify]\"></ng-content>\n        </div>\n        <i *ngIf=\"justify.childNodes.length === 0\" class=\"material-icons-round\">format_align_justify</i>\n      </tip-option>\n    </tip-select>\n  ",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    providers: [{ provide: BaseControl, useExisting: i0.forwardRef(function () { return ControlTextAlignComponent; }) }],
                    styles: [":host-context{display:contents}.tip-control-button{display:inline-flex;align-items:center;justify-content:center;padding:1px calc(var(--tip-header-padding) / 2);cursor:pointer;color:var(--tip-text-color);border:none;background-color:transparent;-webkit-tap-highlight-color:transparent}@media (pointer:fine){.tip-control-button:focus,.tip-control-button:hover{color:var(--tip-active-color)}}.tip-control-button[disabled]{cursor:default;color:var(--tip-disabled-color)}.content-wrapper{display:contents}.tip-active{color:var(--tip-active-color)}"]
                },] }
    ];
    ControlTextAlignComponent.ctorParameters = function () { return [
        { type: TiptapEventService }
    ]; };
    ControlTextAlignComponent.propDecorators = {
        disableSanitation: [{ type: i0.Input }]
    };

    var ControlUnderlineComponent = /** @class */ (function (_super) {
        __extends(ControlUnderlineComponent, _super);
        function ControlUnderlineComponent(eventService) {
            var _this = _super.call(this) || this;
            _this.eventService = eventService;
            return _this;
        }
        ControlUnderlineComponent.prototype.toggleUnderline = function () {
            this.editor && this.editor.chain().focus().toggleUnderline().run();
        };
        ControlUnderlineComponent.prototype.can = function () {
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.can().toggleUnderline());
        };
        ControlUnderlineComponent.prototype.isActive = function () {
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.isActive('underline'));
        };
        return ControlUnderlineComponent;
    }(ButtonBaseControl));
    ControlUnderlineComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-control-underline',
                    template: "\n    <button class=\"tip-control-button\" type=\"button\" (click)=\"toggleUnderline()\" #button>\n      <div class=\"content-wrapper\" #ref>\n        <ng-content></ng-content>\n      </div>\n      <i *ngIf=\"ref.childNodes.length === 0\" class=\"material-icons-round\">format_underline</i>\n    </button>\n  ",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    providers: [{ provide: BaseControl, useExisting: i0.forwardRef(function () { return ControlUnderlineComponent; }) }],
                    styles: [":host-context{display:contents}.tip-control-button{display:inline-flex;align-items:center;justify-content:center;padding:1px calc(var(--tip-header-padding) / 2);cursor:pointer;color:var(--tip-text-color);border:none;background-color:transparent;-webkit-tap-highlight-color:transparent}@media (pointer:fine){.tip-control-button:focus,.tip-control-button:hover{color:var(--tip-active-color)}}.tip-control-button[disabled]{cursor:default;color:var(--tip-disabled-color)}.content-wrapper{display:contents}.tip-active{color:var(--tip-active-color)}"]
                },] }
    ];
    ControlUnderlineComponent.ctorParameters = function () { return [
        { type: TiptapEventService }
    ]; };

    var EditorHeaderComponent = /** @class */ (function () {
        function EditorHeaderComponent() {
            this.editor = null;
            this.children = null;
        }
        EditorHeaderComponent.prototype.setEditor = function (tiptapEditor) {
            this.editor = tiptapEditor;
            this.passEditorToControls();
        };
        EditorHeaderComponent.prototype.passEditorToControls = function () {
            var _this = this;
            this.children && this.children.forEach(function (control) { return _this.editor && control.setEditor(_this.editor); });
        };
        return EditorHeaderComponent;
    }());
    EditorHeaderComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-editor-header',
                    template: "\n    <div class=\"controls-row\">\n      <ng-content></ng-content>\n    </div>\n  ",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    styles: [".controls-row{border-top-left-radius:var(--tip-border-radius);border-top-right-radius:var(--tip-border-radius);display:flex;align-items:center;flex-wrap:wrap;box-sizing:border-box;min-height:var(--tip-header-height);padding:var(--tip-header-padding);border:1px solid var(--tip-border-color);border-bottom:none}"]
                },] }
    ];
    EditorHeaderComponent.propDecorators = {
        children: [{ type: i0.ContentChildren, args: [BaseControl,] }]
    };

    var UtilBreakLineComponent = /** @class */ (function () {
        function UtilBreakLineComponent() {
        }
        return UtilBreakLineComponent;
    }());
    UtilBreakLineComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-util-br',
                    template: "",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    styles: [":host-context {\n    flex-basis: 100%;\n  }"]
                },] }
    ];

    var UtilHorizontalDividerComponent = /** @class */ (function () {
        function UtilHorizontalDividerComponent() {
        }
        return UtilHorizontalDividerComponent;
    }());
    UtilHorizontalDividerComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-util-hr',
                    template: "\n    <hr>",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    styles: ["\n    :host-context {\n      display: contents;\n    }\n\n    hr {\n      flex-basis: calc(100% + var(--tip-header-padding) * 2);\n      margin: var(--tip-header-padding) calc(var(--tip-header-padding) * -1);\n      border: none;\n      border-top: solid 1px var(--tip-border-color);\n    }"]
                },] }
    ];

    var UtilPaddingComponent = /** @class */ (function () {
        function UtilPaddingComponent() {
        }
        return UtilPaddingComponent;
    }());
    UtilPaddingComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-util-padding',
                    template: "",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    styles: [":host-context {\n    width: calc(var(--tip-header-padding) / 2);\n  }"]
                },] }
    ];

    var UtilSpacerComponent = /** @class */ (function () {
        function UtilSpacerComponent() {
        }
        return UtilSpacerComponent;
    }());
    UtilSpacerComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-util-spacer',
                    template: "",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    styles: [":host-context {\n    flex-grow: 1;\n  }"]
                },] }
    ];

    var UtilVerticalDividerComponent = /** @class */ (function () {
        function UtilVerticalDividerComponent() {
        }
        return UtilVerticalDividerComponent;
    }());
    UtilVerticalDividerComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-util-vr',
                    template: "",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    styles: [":host-context {\n    width: 1px;\n    border-left: solid 1px var(--tip-border-color);\n    height: var(--tip-header-height);\n    margin-top: calc(var(--tip-header-padding) * -1);\n    margin-bottom: calc(var(--tip-header-padding) * -1);\n  }"]
                },] }
    ];

    var EditorPreviewComponent = /** @class */ (function () {
        function EditorPreviewComponent(domSanitizer, renderer, injector, ngZone) {
            this.domSanitizer = domSanitizer;
            this.renderer = renderer;
            this.injector = injector;
            this.ngZone = ngZone;
            this.extensions = [];
            this.angularExtensions = [];
            this.sanitizeHtml = true;
            this._content = null;
            this.builtExtensions = [];
        }
        Object.defineProperty(EditorPreviewComponent.prototype, "content", {
            set: function (value) {
                this._content = value;
                this.renderOutput();
            },
            enumerable: false,
            configurable: true
        });
        EditorPreviewComponent.prototype.ngOnChanges = function (_) {
            var _this = this;
            var builtAngularExtensions = this.angularExtensions.map(function (builder) { return _this.ngZone.run(function () { return builder.build(_this.injector); }); });
            this.builtExtensions = __spread(this.extensions, builtAngularExtensions.map(function (e) { return e.nativeExtension; }));
        };
        EditorPreviewComponent.prototype.ngAfterViewInit = function () {
            return this.renderOutput();
        };
        EditorPreviewComponent.prototype.renderOutput = function (content) {
            if (content === void 0) { content = this._content; }
            if (!this.contentOutlet)
                return;
            var html = '';
            if (typeof content === 'string') {
                html = content;
            }
            else if (content) {
                // Hopefully fixes the github build, which seems to break for some reason
                html = core.generateHTML(content, this.builtExtensions);
            }
            if (this.sanitizeHtml) {
                html = this.domSanitizer.sanitize(i0.SecurityContext.HTML, html);
                if (i0.isDevMode()) {
                    console.warn('The editor preview is sanetizing your HTML. This may lead to missing HTML.');
                }
            }
            this.renderer.setProperty(this.contentOutlet.nativeElement, 'innerHTML', html);
        };
        return EditorPreviewComponent;
    }());
    EditorPreviewComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-editor-preview',
                    template: "\n    <div #contentOutlet></div>\n  ",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    styles: [""]
                },] }
    ];
    EditorPreviewComponent.ctorParameters = function () { return [
        { type: platformBrowser.DomSanitizer },
        { type: i0.Renderer2 },
        { type: i0.Injector },
        { type: i0.NgZone }
    ]; };
    EditorPreviewComponent.propDecorators = {
        extensions: [{ type: i0.Input }],
        angularExtensions: [{ type: i0.Input }],
        sanitizeHtml: [{ type: i0.Input }],
        contentOutlet: [{ type: i0.ViewChild, args: ['contentOutlet',] }],
        content: [{ type: i0.Input }]
    };

    var GLOBAL_EXTENSIONS = new i0.InjectionToken('GLOBAL_EXTENSIONS');
    var GLOBAL_ANGULAR_EXTENSIONS = new i0.InjectionToken('GLOBAL_ANGULAR_EXTENSIONS');

    // tslint:disable:no-output-native
    var EditorComponent = /** @class */ (function () {
        function EditorComponent(ngZone, injector, tiptapExtensionService, platformId, globalExtensions, globalAngularExtensions, eventService, element) {
            this.ngZone = ngZone;
            this.injector = injector;
            this.tiptapExtensionService = tiptapExtensionService;
            this.platformId = platformId;
            this.globalExtensions = globalExtensions;
            this.globalAngularExtensions = globalAngularExtensions;
            // Content change
            this.jsonChange = new i0.EventEmitter();
            this.htmlChange = new i0.EventEmitter();
            // Editor set
            this.created = new i0.EventEmitter();
            // Editor events
            this.beforeCreate = new i0.EventEmitter();
            this.create = new i0.EventEmitter();
            this.update = new i0.EventEmitter();
            this.selectionUpdate = new i0.EventEmitter();
            this.transaction = new i0.EventEmitter();
            this.focus = new i0.EventEmitter();
            this.blur = new i0.EventEmitter();
            this.destroy = new i0.EventEmitter();
            // Editor input params
            this.content = null;
            this.injectCSS = true;
            this.autofocus = true;
            this.editable = true;
            this.editorProps = {};
            this.parseOptions = {};
            this.enableInputRules = true;
            this.enablePasteRules = true;
            this.extensions = [];
            this.angularExtensions = [];
            this.runEventsOutsideAngular = true;
            this.destroy$ = new rxjs.Subject();
            this.builtExtensions = [];
            eventService.setElement(element.nativeElement);
        }
        Object.defineProperty(EditorComponent.prototype, "editor", {
            get: function () {
                return this.tiptap ? this.tiptap : null;
            },
            enumerable: false,
            configurable: true
        });
        EditorComponent.prototype.ngAfterViewInit = function () {
            return __awaiter(this, void 0, void 0, function () {
                var _this = this;
                return __generator(this, function (_a) {
                    // On the serve you don't need an editor
                    if (!i1.isPlatformBrowser(this.platformId))
                        return [2 /*return*/];
                    if (!this.editorComponent) {
                        throw new Error('You have to pass the tip-editor-body as a child of the tip-editor. Otherwise you cannot see anything');
                    }
                    // Attach the editor to the editor element
                    this.tiptap = this.ngZone.runOutsideAngular(function () { return new core.Editor(Object.assign(Object.assign({}, _this.buildEditorOptions()), { element: _this.editorComponent.editorElement })); });
                    this.setEditorInAngularExtension();
                    // Emit the event which indicates that the tiptap editor was created
                    this.created.emit(this.tiptap);
                    // Pass the editor the the editorBody component
                    this.editorComponent.setEditor(this.tiptap);
                    // Check if the header component was passed and if not disable it
                    this.headerComponent && this.headerComponent.setEditor(this.tiptap);
                    this.registerEvents();
                    return [2 /*return*/];
                });
            });
        };
        EditorComponent.prototype.ngOnDestroy = function () {
            this.tiptap && this.tiptap.destroy();
            this.destroy$.next(true);
            this.destroy.complete();
        };
        EditorComponent.prototype.registerEvents = function () {
            if (!this.tiptap)
                return;
            this.pipeTo(fromEditorEvent(this.tiptap, 'update').pipe(operators.map(function (_a) {
                var editor = _a.editor;
                return editor.getJSON();
            })), this.jsonChange);
            this.pipeTo(fromEditorEvent(this.tiptap, 'update').pipe(operators.map(function (_a) {
                var editor = _a.editor;
                return editor.getHTML();
            })), this.htmlChange);
            this.pipeTo(fromEditorEvent(this.tiptap, 'beforeCreate'), this.beforeCreate);
            this.pipeTo(fromEditorEvent(this.tiptap, 'create'), this.create);
            this.pipeTo(fromEditorEvent(this.tiptap, 'update'), this.update);
            this.pipeTo(fromEditorEvent(this.tiptap, 'selectionUpdate'), this.selectionUpdate);
            this.pipeTo(fromEditorEvent(this.tiptap, 'transaction'), this.transaction);
            this.pipeTo(fromEditorEvent(this.tiptap, 'focus'), this.focus);
            this.pipeTo(fromEditorEvent(this.tiptap, 'blur'), this.blur);
            this.pipeTo(fromEditorEvent(this.tiptap, 'destroy'), this.destroy);
        };
        EditorComponent.prototype.buildEditorOptions = function () {
            return {
                content: this.content,
                autofocus: this.autofocus,
                injectCSS: this.injectCSS,
                editable: this.editable,
                editorProps: this.editorProps,
                parseOptions: this.parseOptions,
                enableInputRules: this.enableInputRules,
                enablePasteRules: this.enablePasteRules,
                extensions: this.mergeNativeAndAngularExtensions()
            };
        };
        EditorComponent.prototype.mergeNativeAndAngularExtensions = function () {
            var _this = this;
            // Set collection of native extensions in the extension service
            var nativeExtensions = __spread(this.extensions);
            if (this.globalExtensions)
                nativeExtensions.push.apply(nativeExtensions, __spread(this.globalExtensions));
            var nativeDuplicates = getDuplicates(nativeExtensions, function (item) { return item.name; });
            if (nativeDuplicates && i0.isDevMode()) {
                throw new Error("Duplicate tiptap extensions found " + JSON.stringify(Object.keys(nativeDuplicates)));
            }
            this.tiptapExtensionService.setNativeExtensions(nativeExtensions);
            // Build the angular extensions and set them in the extension service
            var angularExtensions = __spread(this.angularExtensions);
            if (this.globalAngularExtensions)
                angularExtensions.push.apply(angularExtensions, __spread(this.globalAngularExtensions));
            this.builtExtensions = angularExtensions.map(function (extension) { return _this.ngZone.run(function () { return extension.build(_this.injector); }); });
            var ngDuplicates = getDuplicates(this.builtExtensions, function (item) { return item.constructor.name; });
            if (ngDuplicates && i0.isDevMode()) {
                throw new Error("Duplicate angular-tiptap extensions found (Key is class name): " + JSON.stringify(Object.keys(ngDuplicates)));
            }
            this.tiptapExtensionService.setAngularExtensions(this.builtExtensions);
            return __spread(this.extensions, this.builtExtensions.map(function (e) { return e.nativeExtension; }));
        };
        EditorComponent.prototype.pipeTo = function (observable, eventEmitter) {
            var _this = this;
            observable
                .pipe(operators.takeUntil(this.destroy$))
                .subscribe(function (e) {
                if (_this.runEventsOutsideAngular) {
                    _this.ngZone.runOutsideAngular(function () { return eventEmitter.next(e); });
                }
                else {
                    _this.ngZone.run(function () { return eventEmitter.next(e); });
                }
            });
        };
        EditorComponent.prototype.setEditorInAngularExtension = function () {
            var e_1, _a;
            try {
                for (var _b = __values(this.builtExtensions), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var angularExtension = _c.value;
                    angularExtension.editor = this.tiptap;
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_1) throw e_1.error; }
            }
        };
        return EditorComponent;
    }());
    EditorComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-editor',
                    template: "\n    <ng-content select=\"tip-editor-header\"></ng-content>\n    <ng-content select=\"tip-editor-body\"></ng-content>\n  ",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    providers: [TiptapEventService, TiptapExtensionService],
                    styles: [""]
                },] }
    ];
    EditorComponent.ctorParameters = function () { return [
        { type: i0.NgZone },
        { type: i0.Injector },
        { type: TiptapExtensionService },
        { type: undefined, decorators: [{ type: i0.Inject, args: [i0.PLATFORM_ID,] }] },
        { type: undefined, decorators: [{ type: i0.Optional }, { type: i0.Inject, args: [GLOBAL_EXTENSIONS,] }] },
        { type: Array, decorators: [{ type: i0.Optional }, { type: i0.Inject, args: [GLOBAL_ANGULAR_EXTENSIONS,] }] },
        { type: TiptapEventService },
        { type: i0.ElementRef }
    ]; };
    EditorComponent.propDecorators = {
        jsonChange: [{ type: i0.Output }],
        htmlChange: [{ type: i0.Output }],
        created: [{ type: i0.Output }],
        beforeCreate: [{ type: i0.Output }],
        create: [{ type: i0.Output }],
        update: [{ type: i0.Output }],
        selectionUpdate: [{ type: i0.Output }],
        transaction: [{ type: i0.Output }],
        focus: [{ type: i0.Output }],
        blur: [{ type: i0.Output }],
        destroy: [{ type: i0.Output }],
        content: [{ type: i0.Input }],
        injectCSS: [{ type: i0.Input }],
        autofocus: [{ type: i0.Input }],
        editable: [{ type: i0.Input }],
        editorProps: [{ type: i0.Input }],
        parseOptions: [{ type: i0.Input }],
        enableInputRules: [{ type: i0.Input }],
        enablePasteRules: [{ type: i0.Input }],
        extensions: [{ type: i0.Input }],
        angularExtensions: [{ type: i0.Input }],
        runEventsOutsideAngular: [{ type: i0.Input }],
        editorComponent: [{ type: i0.ContentChild, args: [EditorBodyComponent,] }],
        headerComponent: [{ type: i0.ContentChild, args: [EditorHeaderComponent,] }]
    };

    var LinkPreviewComponent = /** @class */ (function () {
        function LinkPreviewComponent(dialogRef, link) {
            this.dialogRef = dialogRef;
            this.link = link;
        }
        LinkPreviewComponent.prototype.deleteLink = function () {
            this.dialogRef.submit('delete');
        };
        LinkPreviewComponent.prototype.editLink = function () {
            this.dialogRef.submit('edit');
        };
        LinkPreviewComponent.prototype.copyLink = function () {
            return __awaiter(this, void 0, void 0, function () {
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, navigator.clipboard.writeText(this.link)];
                        case 1:
                            _a.sent();
                            this.dialogRef.cancel();
                            return [2 /*return*/];
                    }
                });
            });
        };
        return LinkPreviewComponent;
    }());
    LinkPreviewComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-link-preview',
                    template: "\n    <div class=\"flex\">\n      <a class=\"v-center link-text\" target=\"_blank\" [href]=\"link\">\n        {{link}}\n      </a>\n      <i style=\"padding: 0 .25rem\" class=\"material-icons pointer\" tabindex=\"0\" (click)=\"deleteLink()\"\n         (keyup.enter)=\"deleteLink()\">link_off</i>\n      <i style=\"padding: 0 .25rem\" class=\"material-icons pointer\" tabindex=\"0\" (click)=\"copyLink()\"\n         (keyup.enter)=\"copyLink()\">content_copy</i>\n      <i style=\"padding: 0 .25rem\" class=\"material-icons pointer\" tabindex=\"0\" (click)=\"editLink()\"\n         (keyup.enter)=\"editLink()\">edit</i>\n    </div>\n  ",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush
                },] }
    ];
    LinkPreviewComponent.ctorParameters = function () { return [
        { type: DialogRef },
        { type: String, decorators: [{ type: i0.Inject, args: [TIP_DIALOG_DATA,] }] }
    ]; };

    // @dynamic
    var LinkSelectComponent = /** @class */ (function () {
        function LinkSelectComponent(dialogRef, data) {
            this.dialogRef = dialogRef;
            this.data = data;
            this.error = null;
            this.urlRegex = new RegExp('^(https?:\\/\\/)?' + // protocol
                '((([a-z\\d]([a-z\\d-]*[a-z\\d])*)\\.)+[a-z]{2,}|' + // domain name
                '((\\d{1,3}\\.){3}\\d{1,3}))' + // OR ip (v4) address
                '(\\:\\d+)?(\\/[-a-z\\d%_.~+]*)*' + // port and path
                '(\\?[;&a-z\\d%_.~+=-]*)?' + // query string
                '(\\#[-a-z\\d_]*)?$', 'i');
        }
        LinkSelectComponent.prototype.submit = function (value, event) {
            // Stop selected text being replaced by the enter
            event && event.preventDefault();
            if (!/^(https?:\/\/).*/.test(value))
                value = "https://" + value;
            if (this.urlRegex.test(value)) {
                this.dialogRef.submit(value);
            }
            else {
                this.error = 'Invalid URL';
            }
        };
        return LinkSelectComponent;
    }());
    LinkSelectComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-link-select',
                    template: "\n    <div class=\"flex\">\n      <input class=\"tip-input\" [placeholder]=\"data?.inputPlaceholder\" tipAutofocus type=\"text\" #input\n             [value]=\"data.link\"\n             (keyup.enter)=\"submit(input.value, $event)\">\n      <button type=\"button\" (click)=\"submit(input.value)\" (keyup.enter)=\"submit(input.value)\"\n              class=\"tip-button margin-left-s\">Apply\n      </button>\n    </div>\n    <small style=\"color: var(--tip-warn-color)\" *ngIf=\"error\">{{error}}</small>\n  ",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush
                },] }
    ];
    LinkSelectComponent.ctorParameters = function () { return [
        { type: DialogRef },
        { type: undefined, decorators: [{ type: i0.Inject, args: [TIP_DIALOG_DATA,] }] }
    ]; };

    var SideBySideComponent = /** @class */ (function () {
        function SideBySideComponent() {
            this.destroy$ = new rxjs.Subject();
        }
        SideBySideComponent.prototype.ngAfterViewInit = function () {
            var _this = this;
            this.editor.jsonChange
                .pipe(operators.takeUntil(this.destroy$))
                .subscribe(function (content) {
                _this.preview.renderOutput(content);
            });
        };
        SideBySideComponent.prototype.ngOnDestroy = function () {
            this.destroy$.next(true);
            this.destroy$.complete();
        };
        return SideBySideComponent;
    }());
    SideBySideComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-side-by-side',
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    template: "\n    <ng-content select=\"tip-editor\"></ng-content>\n    <div class=\"preview-wrapper\">\n      <div class=\"preview-heading v-center h-center\">\n        <h2 class=\"no-margin\">Preview</h2>\n      </div>\n      <ng-content select=\"tip-editor-preview\"></ng-content>\n    </div>\n  ",
                    styles: ["\n    :host-context {\n      display: flex;\n      width: 100%;\n    }\n\n    .preview-heading {\n      border-bottom: solid 1px var(--tip-border-color);\n      padding: var(--tip-header-padding);\n      height: var(--tip-header-height);\n      box-sizing: border-box;\n    }\n\n    .preview-wrapper {\n      border: solid 1px var(--tip-border-color);\n      border-left: none;\n      width: 50%;\n    }\n\n    ::ng-deep tip-side-by-side > tip-editor {\n      width: 50%;\n    }\n  "]
                },] }
    ];
    SideBySideComponent.propDecorators = {
        editor: [{ type: i0.ContentChild, args: [EditorComponent,] }],
        preview: [{ type: i0.ContentChild, args: [EditorPreviewComponent,] }]
    };

    var AutofocusDirective = /** @class */ (function () {
        function AutofocusDirective(element, ngZone) {
            this.element = element;
            this.ngZone = ngZone;
            this.enable = true;
        }
        AutofocusDirective.prototype.ngAfterViewInit = function () {
            var _this = this;
            if (typeof this.enable === 'string' || this.enable) {
                this.ngZone.runOutsideAngular(function () { return setTimeout(function () { return _this.element.nativeElement.focus(); }); });
            }
        };
        return AutofocusDirective;
    }());
    AutofocusDirective.decorators = [
        { type: i0.Directive, args: [{
                    selector: '[tipAutofocus]'
                },] }
    ];
    AutofocusDirective.ctorParameters = function () { return [
        { type: i0.ElementRef },
        { type: i0.NgZone }
    ]; };
    AutofocusDirective.propDecorators = {
        enable: [{ type: i0.Input, args: ['tipAutofocus',] }]
    };

    var MENTION_FETCH = new i0.InjectionToken('MENTION_FETCH');
    // @dynamic
    var MentionPreviewComponent = /** @class */ (function () {
        function MentionPreviewComponent(ngZone, cd, editor, fetchFunction) {
            this.ngZone = ngZone;
            this.cd = cd;
            this.editor = editor;
            this.fetchFunction = fetchFunction;
            this.queryResult = [];
        }
        MentionPreviewComponent.prototype.handleKeyPress = function (event) {
            return false;
        };
        MentionPreviewComponent.prototype.updateProps = function (props) {
            return __awaiter(this, void 0, void 0, function () {
                var _a;
                return __generator(this, function (_b) {
                    switch (_b.label) {
                        case 0:
                            this.mentionProps = props;
                            _a = this;
                            return [4 /*yield*/, this.fetchFunction(props.query)];
                        case 1:
                            _a.queryResult = _b.sent();
                            this.cd.detectChanges();
                            return [2 /*return*/];
                    }
                });
            });
        };
        MentionPreviewComponent.prototype.setMention = function (mention) {
            this.mentionProps.command(mention);
        };
        return MentionPreviewComponent;
    }());
    MentionPreviewComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-mention-select',
                    template: "\n    <button *ngFor=\"let item of queryResult\" (click)=\"setMention(item)\" (keyup.enter)=\"setMention(item)\">\n      {{item.id}}\n    </button>\n    <div *ngIf=\"queryResult.length === 0\">\n      No result was found\n    </div>\n  ",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush
                },] }
    ];
    MentionPreviewComponent.ctorParameters = function () { return [
        { type: i0.ChangeDetectorRef },
        { type: i0.ChangeDetectorRef },
        { type: core.Editor },
        { type: undefined, decorators: [{ type: i0.Inject, args: [MENTION_FETCH,] }] }
    ]; };

    var NgxTipTapEditorModule = /** @class */ (function () {
        function NgxTipTapEditorModule() {
        }
        return NgxTipTapEditorModule;
    }());
    NgxTipTapEditorModule.decorators = [
        { type: i0.NgModule, args: [{
                    declarations: [
                        // Editor
                        EditorComponent,
                        EditorBodyComponent,
                        EditorHeaderComponent,
                        // Preview
                        EditorPreviewComponent,
                        SideBySideComponent,
                        // Control alignment
                        UtilBreakLineComponent,
                        UtilHorizontalDividerComponent,
                        UtilPaddingComponent,
                        UtilSpacerComponent,
                        UtilVerticalDividerComponent,
                        // Controls
                        ControlBoldComponent,
                        ControlBulletListComponent,
                        ControlCodeBlockComponent,
                        ControlCodeComponent,
                        ControlFormatComponent,
                        HorizontalRuleControlComponent,
                        ControlItalicComponent,
                        ControlMentionComponent,
                        ControlNumberListComponent,
                        ControlStrikeComponent,
                        ControlTasklistComponent,
                        ControlTextAlignComponent,
                        ControlUnderlineComponent,
                        ControlLinkComponent,
                        // Common
                        OptionComponent,
                        SelectComponent,
                        DialogComponent,
                        // Private
                        LinkSelectComponent,
                        AutofocusDirective,
                        LinkPreviewComponent,
                        PopoverComponent,
                        MentionPreviewComponent
                    ],
                    imports: [
                        i1.CommonModule,
                        animations$1.BrowserAnimationsModule,
                        platformBrowser.BrowserModule,
                    ],
                    exports: [
                        // Editor
                        EditorComponent,
                        EditorBodyComponent,
                        EditorHeaderComponent,
                        // Preview
                        EditorPreviewComponent,
                        SideBySideComponent,
                        // Control alignment
                        UtilBreakLineComponent,
                        UtilHorizontalDividerComponent,
                        UtilPaddingComponent,
                        UtilSpacerComponent,
                        UtilVerticalDividerComponent,
                        // Controls
                        ControlBoldComponent,
                        ControlBulletListComponent,
                        ControlCodeBlockComponent,
                        ControlCodeComponent,
                        ControlFormatComponent,
                        HorizontalRuleControlComponent,
                        ControlItalicComponent,
                        ControlMentionComponent,
                        ControlNumberListComponent,
                        ControlStrikeComponent,
                        ControlTasklistComponent,
                        ControlTextAlignComponent,
                        ControlUnderlineComponent,
                        ControlLinkComponent,
                        // Common
                        OptionComponent,
                        SelectComponent,
                    ],
                    providers: []
                },] }
    ];

    // @dynamic
    var TipDialogService = /** @class */ (function () {
        function TipDialogService(componentFactoryResolver, appRef, injector, document) {
            this.componentFactoryResolver = componentFactoryResolver;
            this.appRef = appRef;
            this.injector = injector;
            this.document = document;
        }
        TipDialogService.prototype.openDialog = function (component, config) {
            if (config === void 0) { config = {}; }
            // Fill with default values
            var newConfig = Object.assign({
                type: 'dialog',
                autoClose: true,
                maxWidth: '1000px',
                width: '50%',
                backdropColor: 'var(--tip-overlay-color)',
                position: 'center'
            }, config);
            return this.createAndAttachComponent(component, newConfig, DialogComponent);
        };
        TipDialogService.prototype.openPopover = function (component, config) {
            var newConfig = Object.assign({
                type: 'popover',
                autoClose: true,
                maxWidth: 'auto',
                width: 'auto',
                backdropColor: 'transparent',
            }, config);
            return this.createAndAttachComponent(component, newConfig, PopoverComponent);
        };
        /**
         * @param component The component which will be displayed
         * @param config The config of the dialog
         * @param wrapperComponent The wrapper component which will encapsulate the user component
         */
        TipDialogService.prototype.createAndAttachComponent = function (component, config, wrapperComponent) {
            var dialogReference = {};
            var dialogRef = new DialogRef(component, this.appRef, dialogReference, config);
            var componentInjector = i0.Injector.create({
                providers: [
                    { provide: TIP_DIALOG_DATA, useValue: config.data },
                    { provide: DialogRef, useValue: dialogRef }
                ],
                parent: this.injector
            });
            // Create the component wrapper which in turn will attach the user component to the view
            var componentFactory = this.componentFactoryResolver.resolveComponentFactory(wrapperComponent);
            var componentRef = componentFactory.create(componentInjector);
            dialogReference.component = componentRef;
            this.appRef.attachView(componentRef.hostView);
            // Attach the component wrapper
            var domElement = componentRef.hostView.rootNodes[0];
            this.document.body.appendChild(domElement);
            return dialogRef;
        };
        return TipDialogService;
    }());
    TipDialogService.ɵprov = i0__namespace.ɵɵdefineInjectable({ factory: function TipDialogService_Factory() { return new TipDialogService(i0__namespace.ɵɵinject(i0__namespace.ComponentFactoryResolver), i0__namespace.ɵɵinject(i0__namespace.ApplicationRef), i0__namespace.ɵɵinject(i0__namespace.INJECTOR), i0__namespace.ɵɵinject(i1__namespace.DOCUMENT)); }, token: TipDialogService, providedIn: "root" });
    TipDialogService.decorators = [
        { type: i0.Injectable, args: [{ providedIn: 'root' },] }
    ];
    TipDialogService.ctorParameters = function () { return [
        { type: i0.ComponentFactoryResolver },
        { type: i0.ApplicationRef },
        { type: i0.Injector },
        { type: Document, decorators: [{ type: i0.Inject, args: [i1.DOCUMENT,] }] }
    ]; };

    var TipBaseExtension = /** @class */ (function () {
        function TipBaseExtension() {
            this.destroy$ = new rxjs.Subject();
        }
        TipBaseExtension.create = function (extension, extensionOptions) {
            return {
                options: extensionOptions,
                angularExtension: extension,
                build: function (parentInjector) {
                    var injector = i0.Injector.create({
                        providers: [{ provide: this.angularExtension }],
                        parent: parentInjector
                    });
                    var injectedExtension = injector.get(this.angularExtension);
                    injectedExtension.options = this.options;
                    injectedExtension.nativeExtension = injectedExtension.createExtension(injectedExtension.options);
                    return injectedExtension;
                }
            };
        };
        Object.defineProperty(TipBaseExtension.prototype, "options", {
            get: function () {
                return this._options;
            },
            set: function (value) {
                if (this._options)
                    throw new Error(this.constructor.name + " already has the options set. Don't try to set it twice.");
                this._options = this.defaultOptions ? deepMerge(this.defaultOptions, value) : value;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(TipBaseExtension.prototype, "editor", {
            get: function () {
                return this._editor;
            },
            set: function (value) {
                var _this = this;
                if (this._editor)
                    throw new Error(this.constructor.name + " already has the editor set. Don't try to set it twice.");
                this._editor = value;
                this._editor.on('destroy', function () {
                    _this.onEditorDestroy && _this.onEditorDestroy();
                    _this.destroy$.next(true);
                    _this.destroy$.complete();
                });
                this.onEditorReady && this.onEditorReady();
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(TipBaseExtension.prototype, "nativeExtension", {
            get: function () {
                return this._nativeExtension;
            },
            set: function (value) {
                if (this._nativeExtension)
                    throw new Error(this.constructor.name + " already has a nativeExtension assigned to it. Don't try to assign it twice");
                this._nativeExtension = value;
            },
            enumerable: false,
            configurable: true
        });
        return TipBaseExtension;
    }());
    var AdvancedBaseExtension = /** @class */ (function (_super) {
        __extends(AdvancedBaseExtension, _super);
        function AdvancedBaseExtension() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         * Inject the provided component at any position in the dom
         * @param component The component which should be injected
         * @param injectionPoint The point you want to inject the component into (this.document.body for example)
         */
        AdvancedBaseExtension.prototype.createAndInsertIntoDom = function (component, injectionPoint) {
            var componentRef = this.createComponent(component);
            return this.insertComponent(componentRef, injectionPoint);
        };
        AdvancedBaseExtension.prototype.insertComponent = function (componentRef, injectionPoint) {
            var appRef = this.injector.get(i0.ApplicationRef);
            appRef.attachView(componentRef.hostView);
            var domElement = componentRef.hostView.rootNodes[0];
            injectionPoint.appendChild(domElement);
            var ngZone = this.injector.get(i0.NgZone);
            return {
                remove: function () {
                    ngZone.run(function () {
                        appRef.detachView(componentRef.hostView);
                        componentRef.destroy();
                    });
                }
            };
        };
        AdvancedBaseExtension.prototype.createComponent = function (component, additionalProviders) {
            if (additionalProviders === void 0) { additionalProviders = []; }
            var componentFactoryResolver = this.injector.get(i0.ComponentFactoryResolver);
            var componentFactory = componentFactoryResolver.resolveComponentFactory(component);
            var injector = i0.Injector.create({
                providers: additionalProviders,
                parent: this.injector
            });
            return componentFactory.create(injector);
        };
        return AdvancedBaseExtension;
    }(TipBaseExtension));

    // @dynamic
    var NgxMention = /** @class */ (function (_super) {
        __extends(NgxMention, _super);
        // tslint:enable:member-ordering
        function NgxMention(injector, ngZone, document, dialogService) {
            var _this = _super.call(this) || this;
            _this.injector = injector;
            _this.ngZone = ngZone;
            _this.document = document;
            _this.dialogService = dialogService;
            // tslint:disable:member-ordering
            _this._onClick$ = new rxjs.Subject();
            _this.onClick$ = _this._onClick$.asObservable();
            _this.defaultOptions = {
                HTMLAttributes: { class: 'mention' },
                previewComponent: MentionPreviewComponent
            };
            return _this;
        }
        NgxMention.prototype.createExtension = function (extensionOptions) {
            var extendedMention = this.extendMention();
            var mentionOptions = this.configureMention(extensionOptions);
            return extendedMention.configure(mentionOptions);
        };
        NgxMention.prototype.extendMention = function () {
            var listeners = [];
            var self = this;
            return extensionMention.Mention.extend({
                // Remove listeners
                onDestroy: function () { return listeners.forEach(function (l) { return l.unsubscribe(); }); },
                renderHTML: function (_b) {
                    var node = _b.node, HTMLAttributes = _b.HTMLAttributes;
                    var span = document.createElement('span');
                    span.textContent = this.options.renderLabel({ options: this.options, node: node });
                    // Subscribe to click events and pass them to the onClick Subject
                    var subscription = rxjs.fromEvent(span, 'click').subscribe(function () { return self._onClick$.next(node.attrs); });
                    listeners.push(subscription);
                    var attributes = core.mergeAttributes({ 'data-mention': '' }, this.options.HTMLAttributes, HTMLAttributes);
                    Object.keys(attributes).forEach(function (key) { return span.setAttribute(key, attributes[key]); });
                    return span;
                },
                addCommands: function () {
                    return {
                        setMention: function (_b) {
                            var range = _b.range, props = _b.props;
                            return function (_b) {
                                var commands = _b.commands, state = _b.state;
                                // If range was not provided just insert at the current position
                                if (!range)
                                    range = state.selection;
                                return commands.insertContentAt(range, [
                                    {
                                        type: 'mention',
                                        attrs: props,
                                    },
                                    {
                                        type: 'text',
                                        text: ' ',
                                    },
                                ]);
                            };
                        }
                    };
                },
            });
        };
        NgxMention.prototype.configureMention = function (_a) {
            var _this = this;
            var mentionOptions = __rest(_a, []);
            // Check if the fetch function is provided and if not don't register events for it
            if (mentionOptions.mentionFetchFunction) {
                mentionOptions.suggestion = Object.assign({ render: function () {
                        var component;
                        var remove;
                        return _this.ngZone.run(function () { return ({
                            onStart: function (props) {
                                component = _this.createComponent(mentionOptions.previewComponent, [{
                                        provide: core.Editor,
                                        useValue: props.editor
                                    }, {
                                        provide: MENTION_FETCH,
                                        useValue: mentionOptions.mentionFetchFunction
                                    }]);
                                component.instance.updateProps(props);
                                remove = _this.insertComponent(component, _this.document.body);
                            },
                            onKeyDown: function (props) { return component.instance.handleKeyPress(props.event); },
                            onUpdate: function (props) { return component.instance.updateProps(props); },
                            onExit: function () { return remove.remove(); },
                        }); });
                    } }, mentionOptions.suggestion);
            }
            return mentionOptions;
        };
        return NgxMention;
    }(AdvancedBaseExtension));
    NgxMention.decorators = [
        { type: i0.Injectable }
    ];
    NgxMention.ctorParameters = function () { return [
        { type: i0.Injector },
        { type: i0.NgZone },
        { type: Document, decorators: [{ type: i0.Inject, args: [i1.DOCUMENT,] }] },
        { type: TipDialogService }
    ]; };

    // @dynamic
    var NgxLink = /** @class */ (function (_super) {
        __extends(NgxLink, _super);
        function NgxLink(dialogService, eventService, ngZone, document) {
            var _this = _super.call(this) || this;
            _this.dialogService = dialogService;
            _this.eventService = eventService;
            _this.ngZone = ngZone;
            _this.document = document;
            _this.defaultOptions = {
                ng: {
                    inputPlaceholder: 'Input a link',
                }
            };
            _this.createDialog = null;
            _this.previewDialog = null;
            _this.linkElement = null;
            return _this;
        }
        NgxLink.prototype.onEditorDestroy = function () {
            var _a;
            this.closeLinkPreview();
            (_a = this.createDialog) === null || _a === void 0 ? void 0 : _a.cancel();
        };
        NgxLink.prototype.onEditorReady = function () {
            var _this = this;
            this.eventService.registerShortcut('Mod-k')
                .pipe(operators.tap(function (e) { return e.preventDefault(); }), operators.filter(function () { return _this.can(); }), operators.takeUntil(this.destroy$)).subscribe(function () { return _this.openCreateLinkDialog(); });
            fromEditorEvent(this.editor, 'transaction').pipe(operators.takeUntil(this.destroy$), operators.filter(function (e) { return !e.transaction.getMeta('blur'); })).subscribe(function (_b) {
                var e = _b.editor;
                return _this.toggleLinkPreview(e);
            });
        };
        NgxLink.prototype.createExtension = function (extensionOptions) {
            return extensionLink.Link.configure(extensionOptions.native);
        };
        NgxLink.prototype.openCreateLinkDialog = function () {
            return __awaiter(this, void 0, void 0, function () {
                var link, position, result, _b, from, to;
                var _this = this;
                return __generator(this, function (_c) {
                    switch (_c.label) {
                        case 0:
                            if (!this.editor)
                                return [2 /*return*/];
                            link = getLinkFromCursorPosition(this.editor);
                            position = getSelectedEditorTextPosition(this.editor);
                            if (!position)
                                return [2 /*return*/];
                            this.createDialog = this.ngZone.run(function () { return _this.dialogService.openPopover(LinkSelectComponent, {
                                width: 'auto',
                                position: position.topCenter,
                                autoClose: true,
                                data: {
                                    link: link,
                                    inputPlaceholder: _this.options.ng.inputPlaceholder
                                }
                            }); });
                            return [4 /*yield*/, this.createDialog.result$.toPromise()];
                        case 1:
                            result = _c.sent();
                            this.createDialog = null;
                            if (result.status === 'canceled') {
                                this.editor.commands.focus();
                                return [2 /*return*/];
                            }
                            _b = this.editor.state.selection, from = _b.from, to = _b.to;
                            this.editor.chain().focus()
                                .extendMarkRange('link')
                                .unsetLink()
                                .setLink({ href: result.data })
                                .setTextSelection({ from: from, to: to })
                                .run();
                            return [2 /*return*/];
                    }
                });
            });
        };
        NgxLink.prototype.can = function () {
            var _a;
            if (!this.editor)
                return false;
            var active = this.isActive();
            var _b = this.editor.state.selection, from = _b.from, to = _b.to;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.can().setLink({ href: '' })) && from !== to || from === to && active;
        };
        NgxLink.prototype.isActive = function () {
            return !!this.editor && 'href' in this.editor.getAttributes('link');
        };
        NgxLink.prototype.toggleLinkPreview = function (editor) {
            return __awaiter(this, void 0, void 0, function () {
                var link, linkElement, position, previewDialog, result;
                var _this = this;
                return __generator(this, function (_b) {
                    switch (_b.label) {
                        case 0:
                            if (
                            // Link creation dialog is open
                            this.createDialog ||
                                // Not active
                                !this.isActive() ||
                                // Some text selected
                                editor.view.state.selection.from !== editor.view.state.selection.to) {
                                return [2 /*return*/, this.closeLinkPreview()];
                            }
                            link = getLinkFromCursorPosition(this.editor);
                            linkElement = getLinkDOMFromCursorPosition(this.editor, link);
                            // Not a link element
                            if (!linkElement) {
                                return [2 /*return*/, this.closeLinkPreview()];
                            }
                            // Already open and no different link element selected
                            if (this.previewDialog && linkElement === this.linkElement)
                                return [2 /*return*/];
                            // Different link element, so close the preview and create a new dialog
                            this.closeLinkPreview();
                            this.linkElement = linkElement;
                            position = linkElement.getBoundingClientRect();
                            previewDialog = this.ngZone.run(function () { return _this.dialogService.openPopover(LinkPreviewComponent, {
                                position: {
                                    x: position.x + position.width / 2,
                                    y: position.y
                                },
                                data: link
                            }); });
                            // Prevent race conditions from overwriting the preview dialog
                            this.previewDialog = previewDialog;
                            return [4 /*yield*/, previewDialog.result$.toPromise()];
                        case 1:
                            result = _b.sent();
                            // Fixes race condition
                            if (this.previewDialog === previewDialog) {
                                this.closeLinkPreview();
                            }
                            if (!(result.data === 'delete')) return [3 /*break*/, 2];
                            this.editor.chain().focus().unsetLink().run();
                            return [3 /*break*/, 4];
                        case 2:
                            if (!(result.data === 'edit')) return [3 /*break*/, 4];
                            this.editor.commands.focus();
                            return [4 /*yield*/, this.openCreateLinkDialog()];
                        case 3:
                            _b.sent();
                            _b.label = 4;
                        case 4: return [2 /*return*/];
                    }
                });
            });
        };
        NgxLink.prototype.closeLinkPreview = function () {
            var _this = this;
            this.linkElement = null;
            if (this.previewDialog) {
                this.ngZone.run(function () { return _this.previewDialog.cancel(); });
                this.previewDialog = null;
            }
        };
        return NgxLink;
    }(TipBaseExtension));
    NgxLink.decorators = [
        { type: i0.Injectable }
    ];
    NgxLink.ctorParameters = function () { return [
        { type: TipDialogService },
        { type: TiptapEventService },
        { type: i0.NgZone },
        { type: Document, decorators: [{ type: i0.Inject, args: [i1.DOCUMENT,] }] }
    ]; };

    /*
     * Public API Surface of ngx-tiptap-editor
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.AdvancedBaseExtension = AdvancedBaseExtension;
    exports.BaseControl = BaseControl;
    exports.ButtonBaseControl = ButtonBaseControl;
    exports.ControlBoldComponent = ControlBoldComponent;
    exports.ControlBulletListComponent = ControlBulletListComponent;
    exports.ControlCodeBlockComponent = ControlCodeBlockComponent;
    exports.ControlCodeComponent = ControlCodeComponent;
    exports.ControlFormatComponent = ControlFormatComponent;
    exports.ControlItalicComponent = ControlItalicComponent;
    exports.ControlLinkComponent = ControlLinkComponent;
    exports.ControlMentionComponent = ControlMentionComponent;
    exports.ControlNumberListComponent = ControlNumberListComponent;
    exports.ControlStrikeComponent = ControlStrikeComponent;
    exports.ControlTasklistComponent = ControlTasklistComponent;
    exports.ControlTextAlignComponent = ControlTextAlignComponent;
    exports.ControlUnderlineComponent = ControlUnderlineComponent;
    exports.EditorBodyComponent = EditorBodyComponent;
    exports.EditorComponent = EditorComponent;
    exports.EditorHeaderComponent = EditorHeaderComponent;
    exports.EditorPreviewComponent = EditorPreviewComponent;
    exports.ExtendedBaseControl = ExtendedBaseControl;
    exports.GLOBAL_ANGULAR_EXTENSIONS = GLOBAL_ANGULAR_EXTENSIONS;
    exports.GLOBAL_EXTENSIONS = GLOBAL_EXTENSIONS;
    exports.HorizontalRuleControlComponent = HorizontalRuleControlComponent;
    exports.NgxLink = NgxLink;
    exports.NgxMention = NgxMention;
    exports.NgxTipTapEditorModule = NgxTipTapEditorModule;
    exports.OptionComponent = OptionComponent;
    exports.SelectBaseControl = SelectBaseControl;
    exports.SelectComponent = SelectComponent;
    exports.SideBySideComponent = SideBySideComponent;
    exports.TipBaseExtension = TipBaseExtension;
    exports.TiptapEventService = TiptapEventService;
    exports.TiptapExtensionService = TiptapExtensionService;
    exports.UtilBreakLineComponent = UtilBreakLineComponent;
    exports.UtilHorizontalDividerComponent = UtilHorizontalDividerComponent;
    exports.UtilPaddingComponent = UtilPaddingComponent;
    exports.UtilSpacerComponent = UtilSpacerComponent;
    exports.UtilVerticalDividerComponent = UtilVerticalDividerComponent;
    exports["ɵa"] = MENTION_FETCH;
    exports["ɵb"] = MentionPreviewComponent;
    exports["ɵd"] = FadeInAnimation;
    exports["ɵe"] = ExpandHeight;
    exports["ɵf"] = DialogComponent;
    exports["ɵg"] = TIP_DIALOG_DATA;
    exports["ɵh"] = DialogRef;
    exports["ɵi"] = DialogBaseClass;
    exports["ɵj"] = PopOverPopUpAnimation;
    exports["ɵk"] = OverlayPopUpAnimation;
    exports["ɵl"] = LinkSelectComponent;
    exports["ɵm"] = AutofocusDirective;
    exports["ɵn"] = LinkPreviewComponent;
    exports["ɵo"] = PopoverComponent;
    exports["ɵp"] = TipDialogService;

    Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=ngx-tiptap-editor.umd.js.map
